Index: general/prog/perl-deps.xml
===================================================================
--- general/prog/perl-deps.xml	(revision cc6f95e43819585593fad044a82f6375c8559bda)
+++ general/prog/perl-deps.xml	(revision 396abe07886403559d9850b2d7f0a3989419055c)
@@ -265,9 +265,9 @@
         </para>
       </listitem>
-      <listitem>
+<!--  <listitem> moved to perl-modules, for install-tl_unx
         <para>
           <xref linkend="perl-libwww-perl"/>
         </para>
-      </listitem>
+      </listitem>-->
       <listitem>
         <para>
@@ -678,6 +678,7 @@
     href="perl-deps/perl-ipc-system-simple.xml"/>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-deps/perl-libwww-perl.xml"/>
+<!-- moved to perl-modules for install-tl_unx
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-deps/perl-libwww-perl.xml"/> -->
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: neral/prog/perl-deps/perl-libwww-perl.xml
===================================================================
--- general/prog/perl-deps/perl-libwww-perl.xml	(revision cc6f95e43819585593fad044a82f6375c8559bda)
+++ 	(revision )
@@ -1,166 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../../general.ent">
-  %general-entities;
-
-  <!ENTITY my-download-http "&metacpan_authors;/O/OA/OALDERS/libwww-perl-&libwww-perl-version;.tar.gz">
-  <!ENTITY my-md5sum "57223812e46c8af53ef39b4358a05e5a">
-
-]>
-
-  <!-- Begin libwww-perl -->
-  <sect2 id="perl-libwww-perl" xreflabel="libwww-perl-&libwww-perl-version;">
-
-    <title>libwww-perl-&libwww-perl-version;</title>
-
-    <indexterm zone="perl-libwww-perl">
-      <primary sortas="a-libwww-perl">libwww-perl</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to LWP - The World-wide Web library for
-      <application>Perl</application></title>
-
-      <para>
-        The libwww-perl collection is a set of Perl modules which provides a
-        simple and consistent application programming interface (API) to the
-        World-Wide Web. The main focus of the library is to provide classes and
-        functions that allow you to write WWW clients. The library also contains
-        modules that are of more general use and even classes that help you
-        implement simple HTTP servers.
-      </para>
-
-      <!-- For CPAN, this may be pulled in with 'cpan -i Bundle::LWP'  -->
-
-      &lfs111_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&my-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &my-md5sum;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">libwww-perl Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="perl-file-listing"/>,
-        <xref linkend="perl-http-cookies"/>,
-        <xref linkend="perl-http-daemon"/>,
-        <!-- perl-http-daemon pulls in perl-http-message
-          for HTTP::Request, HTTP::Response, HTTP::Status -->
-        <!-- perl-http-message pulls in perl-encode-locale,
-          perl-http-date, perl-lwp-mediatypes and perl-uri -->
-        <xref linkend="perl-http-negotiate"/>,
-        <xref linkend="perl-html-parser"/>,
-        <xref linkend="perl-net-http"/>,
-        <xref linkend="perl-try-tiny"/> and
-        <xref linkend="perl-www-robotrules"/>
-      </para>
-
-      <bridgehead renderas="sect5">Recommended (required for the testsuite)</bridgehead>
-      <para role="recommended">
-        <xref linkend="perl-test-fatal"/>,
-        <xref linkend="perl-test-needs"/> and
-        <xref linkend="perl-test-requiresinternet"/>
-      </para>
-
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of libwww-perl</title>
-
-      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-                  href="../../../xincludes/perl-standard-install.xml"/>
-
-      <para>
-        After installing this package, if you want HTTPS protocol support
-        install <xref linkend="perl-lwp-protocol-https"/>.
-      </para>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-
-        <seglistitem>
-          <seg>
-            lwp-download, lwp-dump, lwp-mirror, lwp-request
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <variablelist>
-        <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-        <?dbfo list-presentation="list"?>
-        <?dbhtml list-presentation="table"?>
-
-        <varlistentry id="lwp-download-prog">
-          <term><command>lwp-download</command></term>
-          <listitem>
-            <para>
-              is a script to fetch a large file from the web
-            </para>
-            <!-- the -prog is for while (old) and new- perl module pages
-             are both in the book, without it the link to the package is
-             correct, but the link to the prog goes to the progs in old
-             perl-modules.xml -->
-            <indexterm zone="perl-libwww-perl lwp-download-prog">
-              <primary sortas="b-lwp-download">lwp-download</primary>
-            </indexterm>
-          </listitem>
-        </varlistentry>
-
-        <varlistentry id="lwp-dump-prog">
-          <term><command>lwp-dump</command></term>
-          <listitem>
-            <para>
-              is used to see what headers and content is returned for a URL
-            </para>
-            <indexterm zone="perl-libwww-perl lwp-dump-prog">
-              <primary sortas="b-lwp-dump">lwp-dump</primary>
-            </indexterm>
-          </listitem>
-        </varlistentry>
-
-        <varlistentry id="lwp-mirror-prog">
-          <term><command>lwp-mirror</command></term>
-          <listitem>
-            <para>
-              is a simple mirror utility
-            </para>
-            <indexterm zone="perl-libwww-perl lwp-mirror-prog">
-              <primary sortas="b-lwp-mirror">lwp-mirror</primary>
-            </indexterm>
-          </listitem>
-        </varlistentry>
-
-        <varlistentry id="lwp-request-prog">
-          <term><command>lwp-request</command></term>
-          <listitem>
-            <para>
-              is a simple command line user agent
-            </para>
-            <indexterm zone="perl-libwww-perl lwp-request-prog">
-              <primary sortas="b-lwp-request">lwp-request</primary>
-            </indexterm>
-          </listitem>
-        </varlistentry>
-
-      </variablelist>
-
-    </sect3>
-
-  </sect2>
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision cc6f95e43819585593fad044a82f6375c8559bda)
+++ general/prog/perl-modules.xml	(revision 396abe07886403559d9850b2d7f0a3989419055c)
@@ -213,4 +213,9 @@
       <listitem>
         <para>
+          <xref linkend="perl-libwww-perl"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
           <xref linkend="perl-lingua-translit"/>
         </para>
@@ -419,4 +424,7 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-libwww-perl.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="perl-modules/perl-list-allutils.xml"/>
 
Index: general/prog/perl-modules/perl-libwww-perl.xml
===================================================================
--- general/prog/perl-modules/perl-libwww-perl.xml	(revision 396abe07886403559d9850b2d7f0a3989419055c)
+++ general/prog/perl-modules/perl-libwww-perl.xml	(revision 396abe07886403559d9850b2d7f0a3989419055c)
@@ -0,0 +1,166 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../../general.ent">
+  %general-entities;
+
+  <!ENTITY my-download-http "&perl_authors;/id/O/OA/OALDERS/libwww-perl-&libwww-perl-version;.tar.gz">
+  <!ENTITY my-md5sum "57223812e46c8af53ef39b4358a05e5a">
+
+]>
+
+  <!-- Begin libwww-perl -->
+  <sect2 id="perl-libwww-perl" xreflabel="libwww-perl-&libwww-perl-version;">
+
+    <title>libwww-perl-&libwww-perl-version;</title>
+
+    <indexterm zone="perl-libwww-perl">
+      <primary sortas="a-libwww-perl">libwww-perl</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to LWP - The World-wide Web library for
+      <application>Perl</application></title>
+
+      <para>
+        The libwww-perl collection is a set of Perl modules which provides a
+        simple and consistent application programming interface (API) to the
+        World-Wide Web. The main focus of the library is to provide classes and
+        functions that allow you to write WWW clients. The library also contains
+        modules that are of more general use and even classes that help you
+        implement simple HTTP servers.
+      </para>
+
+      <!-- For CPAN, this may be pulled in with 'cpan -i Bundle::LWP'  -->
+
+      &lfs111_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&my-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &my-md5sum;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">libwww-perl Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="perl-file-listing"/>,
+        <xref linkend="perl-http-cookies"/>,
+        <xref linkend="perl-http-daemon"/>,
+        <!-- perl-http-daemon pulls in perl-http-message
+          for HTTP::Request, HTTP::Response, HTTP::Status -->
+        <!-- perl-http-message pulls in perl-encode-locale,
+          perl-http-date, perl-lwp-mediatypes and perl-uri -->
+        <xref linkend="perl-http-negotiate"/>,
+        <xref linkend="perl-html-parser"/>,
+        <xref linkend="perl-net-http"/>,
+        <xref linkend="perl-try-tiny"/> and
+        <xref linkend="perl-www-robotrules"/>
+      </para>
+
+      <bridgehead renderas="sect5">Recommended (required for the testsuite)</bridgehead>
+      <para role="recommended">
+        <xref linkend="perl-test-fatal"/>,
+        <xref linkend="perl-test-needs"/> and
+        <xref linkend="perl-test-requiresinternet"/>
+      </para>
+
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of libwww-perl</title>
+
+      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+                  href="../../../xincludes/perl-standard-install.xml"/>
+
+      <para>
+        After installing this package, if you want HTTPS protocol support
+        install <xref linkend="perl-lwp-protocol-https"/>.
+      </para>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+
+        <seglistitem>
+          <seg>
+            lwp-download, lwp-dump, lwp-mirror, lwp-request
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <variablelist>
+        <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+        <?dbfo list-presentation="list"?>
+        <?dbhtml list-presentation="table"?>
+
+        <varlistentry id="lwp-download-prog">
+          <term><command>lwp-download</command></term>
+          <listitem>
+            <para>
+              is a script to fetch a large file from the web
+            </para>
+            <!-- the -prog is for while (old) and new- perl module pages
+             are both in the book, without it the link to the package is
+             correct, but the link to the prog goes to the progs in old
+             perl-modules.xml -->
+            <indexterm zone="perl-libwww-perl lwp-download-prog">
+              <primary sortas="b-lwp-download">lwp-download</primary>
+            </indexterm>
+          </listitem>
+        </varlistentry>
+
+        <varlistentry id="lwp-dump-prog">
+          <term><command>lwp-dump</command></term>
+          <listitem>
+            <para>
+              is used to see what headers and content is returned for a URL
+            </para>
+            <indexterm zone="perl-libwww-perl lwp-dump-prog">
+              <primary sortas="b-lwp-dump">lwp-dump</primary>
+            </indexterm>
+          </listitem>
+        </varlistentry>
+
+        <varlistentry id="lwp-mirror-prog">
+          <term><command>lwp-mirror</command></term>
+          <listitem>
+            <para>
+              is a simple mirror utility
+            </para>
+            <indexterm zone="perl-libwww-perl lwp-mirror-prog">
+              <primary sortas="b-lwp-mirror">lwp-mirror</primary>
+            </indexterm>
+          </listitem>
+        </varlistentry>
+
+        <varlistentry id="lwp-request-prog">
+          <term><command>lwp-request</command></term>
+          <listitem>
+            <para>
+              is a simple command line user agent
+            </para>
+            <indexterm zone="perl-libwww-perl lwp-request-prog">
+              <primary sortas="b-lwp-request">lwp-request</primary>
+            </indexterm>
+          </listitem>
+        </varlistentry>
+
+      </variablelist>
+
+    </sect3>
+
+  </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision cc6f95e43819585593fad044a82f6375c8559bda)
+++ introduction/welcome/changelog.xml	(revision 396abe07886403559d9850b2d7f0a3989419055c)
@@ -42,4 +42,14 @@
     </listitem>
     -->
+    <listitem>
+      <para>May 1, 2022</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - Update to texlive-2022. Fixes
+          <ulink url="&blfs-ticket-root;16240">#16240</ulink>.</para>
+        </listitem>
+
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision cc6f95e43819585593fad044a82f6375c8559bda)
+++ packages.ent	(revision 396abe07886403559d9850b2d7f0a3989419055c)
@@ -435,4 +435,5 @@
 <!ENTITY IPC-Run3-version             "0.048">
 <!ENTITY JSON-version                 "4.05">
+<!ENTITY libwww-perl-version          "6.61">
 <!ENTITY Lingua-Translit-version      "0.28">
 <!ENTITY List-AllUtils-version        "0.19">
@@ -504,5 +505,4 @@
 <!ENTITY IO-HTML-version              "1.004">
 <!ENTITY IPC-System-Simple-version    "1.30">
-<!ENTITY libwww-perl-version          "6.61">
 <!ENTITY List-MoreUtils-XS-version    "0.430">
 <!ENTITY List-SomeUtils-version       "0.58">
@@ -1125,11 +1125,11 @@
 
 <!-- Chapter 51 -->
-<!ENTITY texlive-version              "20210325">
-<!ENTITY texmf-version                "20210325">
-<!ENTITY tex-tlpdb-version            "20210325">
+<!ENTITY texlive-version              "20220321">
+<!ENTITY texmf-version                "20220321">
+<!ENTITY tex-tlpdb-version            "20220325">
 <!-- the year is used when setting up PATHs in the tl-installer
  page, as well as to reference the directory in texlive, also
  in asymptote, biber and xindy -->
-<!ENTITY texlive-year                 "2021">
+<!ENTITY texlive-year                 "2022">
 <!ENTITY asymptote-version            "2.78">
 <!ENTITY biber-version                "2.17">
Index: pst/typesetting/texlive.xml
===================================================================
--- pst/typesetting/texlive.xml	(revision cc6f95e43819585593fad044a82f6375c8559bda)
+++ pst/typesetting/texlive.xml	(revision 396abe07886403559d9850b2d7f0a3989419055c)
@@ -4,21 +4,23 @@
   %general-entities;
 
-  <!ENTITY texlive-download-http " ">
+  <!-- utah -->
+  <!ENTITY texlive-download-http "https://ftp.math.utah.edu/pub/tex/historic/systems/texlive/&texlive-year;/texlive-&texlive-version;-source.tar.xz">
   <!ENTITY texlive-download-ftp  "ftp://tug.org/texlive/historic/&texlive-year;/texlive-&texlive-version;-source.tar.xz">
-  <!ENTITY texlive-md5sum        "19da95538956e26570ef7fb202af258f">
-  <!ENTITY texlive-size          "53 MB">
-
-  <!ENTITY texlive-buildsize      "8.1 GB including the additional download and the tests, 7.0 GB installed">
-  <!ENTITY texlive-time           "4.2 SBU including the additional download and the tests, building with parallelism=4">
-
-  <!ENTITY texlive-texmf-download-http " ">
+  <!ENTITY texlive-md5sum        "4f05bbd93004175275f50215a4c51608">
+  <!ENTITY texlive-size          "65 MB">
+
+  <!ENTITY texlive-buildsize      "8.0 GB including the additional download and the tests, 7.3 GB installed">
+  <!ENTITY texlive-time           "3.9 SBU including the additional download and the tests, building with parallelism=4">
+
+  <!-- utah -->
+  <!ENTITY texlive-texmf-download-http "https://ftp.math.utah.edu/pub/tex/historic/systems/texlive/&texlive-year;/texlive-&texlive-version;-texmf.tar.xz">
   <!ENTITY texlive-texmf-download-ftp  "ftp://tug.org/texlive/historic/&texlive-year;/texlive-&texmf-version;-texmf.tar.xz">
-  <!ENTITY texlive-texmf-md5sum        "2426a62e43f8b07397ef2dd8367e0465">
-  <!ENTITY texlive-texmf-size          "3.3 GB">
-
-  <!ENTITY texlive-tlpdb-download-http " ">
+  <!ENTITY texlive-texmf-md5sum        "9806803f703b6ce4d9845c46806a7a08">
+  <!ENTITY texlive-texmf-size          "3.4 GB">
+
+  <!ENTITY texlive-tlpdb-download-http "https://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/&texlive-year;/texlive-&tex-tlpdb-version;-tlpdb-full.tar.gz">
   <!ENTITY texlive-tlpdb-download-ftp  "ftp://tug.org/texlive/historic/&texlive-year;/texlive-&tex-tlpdb-version;-tlpdb-full.tar.gz">
-  <!ENTITY texlive-tlpdb-md5sum        "af0240961ecd28be5fd30d0e99b341d5">
-  <!ENTITY texlive-tlpdb-size          "3.0 MB">
+  <!ENTITY texlive-tlpdb-md5sum        "1084c37c6775b567ed7babd71e612f75">
+  <!ENTITY texlive-tlpdb-size          "3.1 MB">
 
 ]>
@@ -40,4 +42,17 @@
   <sect2 role="package">
     <title>Introduction to TeX Live from source</title>
+
+    <note>
+      <para>
+        According to <ulink url="https://www.tug.org/historic/"/> the master
+        site in France only supports ftp and rsync. Now that ftp is generally
+        deprecated, that page has links to mirrors, some of which support https,
+        e.g. in Utah and Chemntiz as well as in China. If you prefer to use a
+        different mirror from the example links here, you will need to navigate
+        to systems/historic/texlive/&texlive-year; or systems/texlive/&texlive-year;
+        as the case may be.
+        <!-- the chinese mirros do not use a 'historic' subdirectory. -->
+      </para>
+    </note>
 
     <para>
@@ -169,10 +184,10 @@
       </listitem>
 
-      <listitem>
+<!--  <listitem>
         <para>
           Required patch: <ulink url=
           "&patch-root;/texlive-&texlive-version;-upstream_fixes-1.patch"/>
         </para>
-      </listitem>
+      </listitem>-->
     </itemizedlist>
 
@@ -260,5 +275,4 @@
 <screen><userinput>export TEXARCH=$(uname -m |
  sed -e 's/i.86/i386/' -e 's/$/-linux/')                 &amp;&amp;
-patch -Np1 -i ../texlive-&texlive-version;-upstream_fixes-1.patch &amp;&amp;
 
 mkdir texlive-build &amp;&amp;
Index: pst/typesetting/tl-installer.xml
===================================================================
--- pst/typesetting/tl-installer.xml	(revision cc6f95e43819585593fad044a82f6375c8559bda)
+++ pst/typesetting/tl-installer.xml	(revision 396abe07886403559d9850b2d7f0a3989419055c)
@@ -8,9 +8,9 @@
 
   <!ENTITY tl-installer-download-ftp    " ">
-  <!ENTITY tl-installer-md5sum          "868c661c8f3c6c1fd7665a3a609390df">
-  <!ENTITY tl-installer-date             "20210413"> <!-- in the directory name -->
-  <!ENTITY tl-installer-size            "6.0 MB">
-
-  <!ENTITY tl-installer-buildsize        "7.1 GB if everything is included">
+  <!ENTITY tl-installer-md5sum          "00268146cfced12c34fe5f515f032c69">
+  <!ENTITY tl-installer-date             "20220321"> <!-- in the directory name -->
+  <!ENTITY tl-installer-size            "5.6 MB">
+
+  <!ENTITY tl-installer-buildsize        "118 MB for basic TeX and latex, 7.1 GB if everything is included">
   <!ENTITY tl-installer-time            "varies, depending on network speed and traffic">
 ]>
@@ -102,4 +102,6 @@
       <xref linkend="gnupg2"/> (to validate both the initial downloads, and also
       any updates you might later make using <command>tlmgr</command>.)
+      <xref linkend="perl-libwww-perl"/> (to use a single connection to the server,
+      which will reduce its load and speed things up.)
     </para>
 