Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 5af3330856fcb163cd7b9e3033d71b611638ede8)
+++ introduction/welcome/credits.xml	(revision 402da65765528485715733e1e4f1486810165643)
@@ -303,5 +303,6 @@
 
       <listitem>
-        <para>Gutenprint (originally was Gimp-Print), libusb and TIN:
+        <para>Gutenprint (originally was Gimp-Print), libusb, FAAC, FAAD2
+        and TIN:
         <emphasis>Alexander E. Patrakov</emphasis></para>
       </listitem>
Index: multimedia/libdriv/faac.xml
===================================================================
--- multimedia/libdriv/faac.xml	(revision 5af3330856fcb163cd7b9e3033d71b611638ede8)
+++ multimedia/libdriv/faac.xml	(revision 402da65765528485715733e1e4f1486810165643)
@@ -10,5 +10,5 @@
   <!ENTITY faac-size          "392 KB">
   <!ENTITY faac-buildsize     "33 MB">
-  <!ENTITY faac-time          "0.55 SBU">
+  <!ENTITY faac-time          "0.6 SBU">
 ]>
 
@@ -32,5 +32,5 @@
     <para><application>FAAC</application> is an encoder for a lossy sound
     compression scheme specified in MPEG-2 Part 7 and MPEG-4 Part 3 standards
-    and known as Advanced Audio Coding (AAC). Such encoder is useful for
+    and known as Advanced Audio Coding (AAC). This encoder is useful for
     producing files that can be played back on iPod. Moreover, iPod does not
     understand other sound compression schemes in video files.</para>
@@ -82,11 +82,14 @@
 make</userinput></screen>
 
-    <para>This package does not come with a test suite. However, one can test
-    its basic functionality with a sample WAV file. Encode the file:</para>
+    <para>This package does not come with a test suite. However, basic
+    functionality can be tested by encoding a sample WAV file (the sample
+    file is installed by the <xref linkend="alsa-utils"/> package:</para>
     
 <screen><userinput>./frontend/faac -o Front_Left.mp4 /usr/share/sounds/alsa/Front_Left.wav</userinput></screen>
 
-    <para>Then, decode the result with <xref linkend="faad2"/> and play back
-    the decoded file:</para>
+    <para>Then, decode the result using the <command>faad</command> program
+    from the <xref linkend="faad2"/> package and play back the decoded file
+    (requires the <command>aplay</command> program from the
+    <xref linkend="alsa-utils"/> package:</para>
 
 <screen><userinput>faad Front_Left.mp4
@@ -94,6 +97,6 @@
 
     <para><command>aplay</command> should identify the file as
-    "Signed 16 bit Little Endian, Rate 48000 Hz, Stereo", and you should hear
-    the words "front left".</para>
+    <quote>Signed 16 bit Little Endian, Rate 48000 Hz, Stereo</quote>, and you
+    should hear the words <quote>front left</quote>.</para>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
@@ -107,8 +110,8 @@
 
     <para><command>./bootstrap</command>: This command runs GNU Autotools
-    and produces the <command>configure</command> script and some other files
-    that drive the further build.</para>
-
-<!-- Note to editors: remove this sed if the new release re-enables the
+    to create the <command>configure</command> script and other required
+    build files.</para>
+
+    <!-- Note to editors: remove this sed if the new release re-enables the
      option (look for "#if 0" near "case OBJTYPE_FLAG:", this is line
      697 in frontend/main.c as of FAAC-1.26) or fixes the documentation
@@ -118,5 +121,5 @@
     for the <option>--obj-type</option> parameter from the
     <command>faac --long-help</command> command output. This parameter
-    is disabled in FAAC-&faac-version; anyway due to sound quality issues
+    is already disabled in FAAC-&faac-version; due to sound quality issues
     with object types other than <quote>Low Complexity</quote>.</para>
 
@@ -128,4 +131,5 @@
     by <xref linkend="faad2"/>, even if compiled with DRM support).
     Don't use it.</para>
+
   </sect2>
 
@@ -134,7 +138,7 @@
 
     <para>The quality of <application>FAAC</application> is not up
-    to par with the currently best AAC encoders available. Also, it supports
-    only AAC, but not High Efficiency AAC (also known as aacPlus), which provides
-    better quality at low bitrates by means of using the
+    to par with the best AAC encoders currently available. Also, it only
+    supports AAC and not High Efficiency AAC (also known as aacPlus), which
+    provides better quality at low bitrates by means of using the
     <quote>spectral band replication</quote> technology. There are the
     following alternative programs for producing AAC and HE-AAC streams:</para>
@@ -143,9 +147,10 @@
       <listitem>
         <para><ulink url="http://www.nero.com/eng/nero-aac-codec.html">Nero AAC Codec</ulink>:
-        available only in the binary form, a command-line AAC and HE-AAC encoder
-        for Linux is in the same archive as the Windows application.</para>
-      </listitem>
-      <listitem>
-        <para><ulink url="http://www.3gpp.org/ftp/Specs/html-info/26410.htm">3GPP Enhanced aacPlus general audio codec</ulink>:
+        available only in the binary form, the command-line AAC and HE-AAC encoders
+        for Linux are in the same archive as the Windows application.</para>
+      </listitem>
+      <listitem>
+        <para><ulink url="http://www.3gpp.org/ftp/Specs/html-info/26410.htm">3GPP
+        Enhanced aacPlus general audio codec</ulink>:
         available in the source form, can encode only HE-AAC up to 48 kbps
         out of the box, but the maximum bitrate can be changed by editing
@@ -166,8 +171,10 @@
       <segtitle>Installed Program</segtitle>
       <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
         <seg>faac</seg>
         <seg>libfaac.{so,a} and libmp4v2.{so,a}</seg>
+        <seg>None</seg>
       </seglistitem>
     </segmentedlist>
@@ -191,5 +198,5 @@
         <term><filename class='libraryfile'>libfaac.{so,a}</filename></term>
         <listitem>
-          <para>this library contains functions for encoding AAC streams.</para>
+          <para>contains functions for encoding AAC streams.</para>
           <indexterm zone="faac libfaac">
             <primary sortas="c-libfaac">libfaac.{so,a}</primary>
@@ -201,5 +208,5 @@
         <term><filename class='libraryfile'>libmp4v2.{so,a}</filename></term>
         <listitem>
-          <para>this library contains functions for creating and manipulating MP4 files.</para>
+          <para>contains functions for creating and manipulating MP4 files.</para>
           <indexterm zone="faac libmp4v2">
             <primary sortas="c-libmp4v2">libmp4v2.{so,a}</primary>
Index: multimedia/libdriv/faad2.xml
===================================================================
--- multimedia/libdriv/faad2.xml	(revision 5af3330856fcb163cd7b9e3033d71b611638ede8)
+++ multimedia/libdriv/faad2.xml	(revision 402da65765528485715733e1e4f1486810165643)
@@ -10,5 +10,5 @@
   <!ENTITY faad2-size          "820 KB">
   <!ENTITY faad2-buildsize     "15 MB (without media player plugins)">
-  <!ENTITY faad2-time          "0.25 SBU (without media player plugins)">
+  <!ENTITY faad2-time          "0.3 SBU (without media player plugins)">
 ]>
 
@@ -65,9 +65,7 @@
     <bridgehead renderas="sect3">FAAD2 Dependencies</bridgehead>
 
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="xmms"/>, and
-    <ulink url="http://mpeg4ip.sourceforge.net/">mpeg4ip</ulink> (both untested).
-    If these packages are found, AAC plugins are built for the corresponding
-    media players.</para>
+    <bridgehead renderas="sect4">Optional (to build corresponding AAC plugins)</bridgehead>
+    <para role="optional"><xref linkend="xmms"/> and
+    <ulink url="http://mpeg4ip.sourceforge.net/">mpeg4ip</ulink> (both untested)</para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -86,6 +84,6 @@
 make</userinput></screen>
 
-    <para>This package does not come with a test suite. However, one can test
-    its basic functionality with a sample AAC file. Decode the file:</para>
+    <para>This package does not come with a test suite. However, basic
+    functionality can be tested by decoding the sample AAC file:</para>
     
 <screen><userinput>./frontend/faad -o sample.wav ../sample.aac</userinput></screen>
@@ -94,5 +92,5 @@
     information about the sample file:</para>
 
-<screen>sample.aac file info:
+<literallayout><computeroutput>sample.aac file info:
 ADTS, 4.608 sec, 13 kbps, 16000 Hz
 
@@ -104,13 +102,14 @@
  | 00 | Left front     |
  | 01 | Right front    |
-  ---------------------</screen>
+  ---------------------</computeroutput></literallayout>
 
-    <para>Play the result:</para>
+    <para>Now play the result (requires the <command>aplay</command> program
+    from the <xref linkend="alsa-utils"/> package):</para>
 
 <screen><userinput>aplay sample.wav</userinput></screen>
 
     <para><command>aplay</command> should identify the file as
-    "Signed 16 bit Little Endian, Rate 16000 Hz, Stereo", and you should hear
-    some piano notes.</para>
+    <quote>Signed 16 bit Little Endian, Rate 16000 Hz, Stereo</quote>, and you
+    should hear some piano notes.</para>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
@@ -124,6 +123,6 @@
 
     <para><command>./bootstrap</command>: This command runs GNU Autotools
-    and produces the <command>configure</command> script and some other files
-    that drive the further build.</para>
+    to create the <command>configure</command> script and other
+    required build files.</para>
 
     <para><option>--with-drm</option>: This option is supposed to enable
@@ -140,9 +139,11 @@
     <segmentedlist>
       <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
         <seg>faad</seg>
         <seg>libfaad.{so,a}</seg>
+        <seg>None</seg>
       </seglistitem>
     </segmentedlist>
@@ -166,5 +167,5 @@
         <term><filename class='libraryfile'>libfaad.{so,a}</filename></term>
         <listitem>
-          <para>this library contains functions for decoding AAC streams.</para>
+          <para>contains functions for decoding AAC streams.</para>
           <indexterm zone="faad2 libfaad">
             <primary sortas="c-libfaad">libfaad.{so,a}</primary>
Index: multimedia/libdriv/libquicktime.xml
===================================================================
--- multimedia/libdriv/libquicktime.xml	(revision 5af3330856fcb163cd7b9e3033d71b611638ede8)
+++ multimedia/libdriv/libquicktime.xml	(revision 402da65765528485715733e1e4f1486810165643)
@@ -74,6 +74,6 @@
     <xref linkend="ffmpeg"/>,
     <ulink url="http://developers.videolan.org/x264.html">x264</ulink>,
-    <xref linkend="faac"/> and
-    <xref linkend="faad2"/>.</para>
+    <xref linkend="faac"/>, and
+    <xref linkend="faad2"/></para>
 
     <para condition="html" role="usernotes">User Notes: