Index: general/genlib/gamin.xml
===================================================================
--- general/genlib/gamin.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/genlib/gamin.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs72_built;
+    &lfs73_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libgcrypt.xml
===================================================================
--- general/genlib/libgcrypt.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/genlib/libgcrypt.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -37,5 +37,5 @@
     API.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libgpg-error.xml
===================================================================
--- general/genlib/libgpg-error.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/genlib/libgpg-error.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -36,5 +36,5 @@
     .</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libidn.xml
===================================================================
--- general/genlib/libidn.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/genlib/libidn.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -46,5 +46,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libusb-compat.xml
===================================================================
--- general/genlib/libusb-compat.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/genlib/libusb-compat.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libusb.xml
===================================================================
--- general/genlib/libusb.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/genlib/libusb.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/popt.xml
===================================================================
--- general/genlib/popt.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/genlib/popt.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -34,5 +34,5 @@
     some programs to parse command-line options.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/pth.xml
===================================================================
--- general/genlib/pth.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/genlib/pth.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -39,5 +39,5 @@
     program-counter, run-time stack, signal mask and errno variable. </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/cvs.xml
===================================================================
--- general/prog/cvs.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/prog/cvs.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -36,5 +36,5 @@
     creation of a repository is covered at <xref linkend="cvsserver"/>.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/tcl.xml
===================================================================
--- general/prog/tcl.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/prog/tcl.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/fcron.xml
===================================================================
--- general/sysutils/fcron.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/sysutils/fcron.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -34,5 +34,5 @@
     Cron</application>.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/gpm.xml
===================================================================
--- general/sysutils/gpm.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/sysutils/gpm.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -39,5 +39,5 @@
     between two console windows than to type everything by hand!</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/pciutils.xml
===================================================================
--- general/sysutils/pciutils.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/sysutils/pciutils.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/usbutils.xml
===================================================================
--- general/sysutils/usbutils.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ general/sysutils/usbutils.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/connect/dhcpcd.xml
===================================================================
--- networking/connect/dhcpcd.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ networking/connect/dhcpcd.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -36,5 +36,5 @@
     DHCP client.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/mailnews/mailx.xml
===================================================================
--- networking/mailnews/mailx.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ networking/mailnews/mailx.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -39,5 +39,5 @@
     especially useful for writing scripts and batch processing.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ networking/netlibs/curl.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libtirpc.xml
===================================================================
--- networking/netlibs/libtirpc.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ networking/netlibs/libtirpc.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/nfs-utils.xml
===================================================================
--- networking/netprogs/nfs-utils.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ networking/netprogs/nfs-utils.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -35,5 +35,5 @@
     network.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package information</bridgehead>
Index: networking/netprogs/rpcbind.xml
===================================================================
--- networking/netprogs/rpcbind.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ networking/netprogs/rpcbind.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -34,5 +34,5 @@
     of Network File System (NFS) shared directories. </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/wireless-tools.xml
===================================================================
--- networking/netprogs/wireless-tools.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ networking/netprogs/wireless-tools.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -41,5 +41,5 @@
     textual interface to support the full Wireless Extension.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/ed.xml
===================================================================
--- postlfs/editors/ed.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ postlfs/editors/ed.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -37,5 +37,5 @@
     because diff-based patches are preferred these days.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/jfs.xml
===================================================================
--- postlfs/filesystems/jfs.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ postlfs/filesystems/jfs.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -33,5 +33,5 @@
     and debugging tools for the jfs file system.</para>
 
-    &lfs72_built;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/cyrus-sasl.xml
===================================================================
--- postlfs/security/cyrus-sasl.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ postlfs/security/cyrus-sasl.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -38,5 +38,5 @@
     and the connection.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/libcap2.xml
===================================================================
--- postlfs/security/libcap2.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ postlfs/security/libcap2.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -36,5 +36,5 @@
     privilege into a set of distinct privileges.  </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/ps/fop.xml
===================================================================
--- pst/ps/fop.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ pst/ps/fop.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -52,5 +52,5 @@
     primary output target is PDF.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/sgml/sgml-dtd.xml
===================================================================
--- pst/sgml/sgml-dtd.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ pst/sgml/sgml-dtd.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -37,5 +37,5 @@
     already written for that standard.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/xml/docbook.xml
===================================================================
--- pst/xml/docbook.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ pst/xml/docbook.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -36,5 +36,5 @@
     transformations already written for that standard.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/xml/xmlto.xml
===================================================================
--- pst/xml/xmlto.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ pst/xml/xmlto.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -35,5 +35,5 @@
     necessary post-processing.</para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: server/databases/db.xml
===================================================================
--- server/databases/db.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ server/databases/db.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: server/mail/postfix.xml
===================================================================
--- server/mail/postfix.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ server/mail/postfix.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: server/major/apache.xml
===================================================================
--- server/major/apache.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ server/major/apache.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: server/other/openldap.xml
===================================================================
--- server/other/openldap.xml	(revision 574e7cdee1702851d701b576a6db1038d37da015)
+++ server/other/openldap.xml	(revision 405c8dce00670db4b205fe59ab194e99a120b4ac)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>