Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b81acc385a8ea295d8d3b75d11d6433081e785cd)
+++ introduction/welcome/changelog.xml	(revision 406e5ffec3fafca2bb2ae8f606612106ddf79f44)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[ken] - Update to firefox-59.0.2 (security fix). Fixes
+          <ulink url="&blfs-ticket-root;10557">#10557</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Work around missing quotes in c_rehash from
           openssl-1.1.0h so that make-ca will work again. Fixes
Index: introduction/welcome/conventions.xml
===================================================================
--- introduction/welcome/conventions.xml	(revision b81acc385a8ea295d8d3b75d11d6433081e785cd)
+++ introduction/welcome/conventions.xml	(revision 406e5ffec3fafca2bb2ae8f606612106ddf79f44)
@@ -235,7 +235,17 @@
     depends on the individual package and specific hardware used.  </para>
 
+    <para>For packages which use ninja (e.g. anything using meson) or rust, by
+    default all cores are used so similar comments will be seen on such packages
+    even when the build time is minimal.</para>
+
     <para>Where even a parallel build takes more than 15 SBU, on certain
     machines the time may be considerably greater even when the build does not
-    use swap.</para>
+    use swap. In particular, different micro-architectures will build some
+    files at different relative speeds and this can introduce delays when
+    certain make targets wait for another file to be created. Where a large
+    build uses a lot of C++ files, processors with Simultaneous Multi Threading
+    will share the Floating Point Unit and can take 45% longer than when using
+    four 'prime' cores (measured on an intel i7 using taskset and keeping the
+    other cores idle).</para>
 
     <para>Some packages do not support parallel builds and using -j1 for the
Index: packages.ent
===================================================================
--- packages.ent	(revision b81acc385a8ea295d8d3b75d11d6433081e785cd)
+++ packages.ent	(revision 406e5ffec3fafca2bb2ae8f606612106ddf79f44)
@@ -733,5 +733,5 @@
 <!ENTITY chromium-version             "64.0.3282.186">
 <!ENTITY epiphany-version             "3.28.0.1">
-<!ENTITY firefox-version              "59.0.1">
+<!ENTITY firefox-version              "59.0.2">
 <!ENTITY flashplayer-version          "27.0.0.187">
 <!ENTITY qupzilla-version             "2.2.6">
Index: xsoft/graphweb/firefox.xml
===================================================================
--- xsoft/graphweb/firefox.xml	(revision b81acc385a8ea295d8d3b75d11d6433081e785cd)
+++ xsoft/graphweb/firefox.xml	(revision 406e5ffec3fafca2bb2ae8f606612106ddf79f44)
@@ -8,10 +8,10 @@
   <!ENTITY firefox-download-http "&mozilla-http;/firefox/releases/&firefox-version;/source/firefox-&firefox-version;.source.tar.xz">
 -->
-   <!ENTITY firefox-hgversion "3db9e3d52b17563efca181ccbb50deb8660c59ae">
+   <!ENTITY firefox-hgversion "239e434d6d2b8e1e2b697c3416d1e96d48fe98e5">
   <!-- use tinyurl to get a much shorter link for the wget example -->
-  <!ENTITY firefox-tiny "https://tinyurl.com/firefox-59-0-1-tar-bz2">
+  <!ENTITY firefox-tiny "https://tinyurl.com/firefox-59-0-2-tar-bz2">
   <!ENTITY firefox-download-http "&mozilla-hg;&firefox-hgversion;.tar.bz2">
   <!ENTITY firefox-download-ftp  " ">
-  <!ENTITY firefox-md5sum        "5aff0df363d778ebe0e572d6c9f13dbe">
+  <!ENTITY firefox-md5sum        "fa4f7a5a7e2b2c7900369530b396b74a">
   <!ENTITY firefox-size          "291 MB">
   <!-- NB with stylo, much of the build uses rust, and therefore cargo files.
@@ -129,10 +129,8 @@
 
       <para>
-        The build times for this version of firefox (using stylo, the new CSS
-        rendering code) seem to vary widely between different machines. On one
-        old Intel i3 with only 4GB of RAM the build took
-        <emphasis>considerably</emphasis> longer. The reason for this is
-        not understood. A build with stylo disabled is typically 1 or 2 SBU
-        quicker and needs 0.8GB less disk space.
+        As with other large packages which use C++ (or rust), the SBU times
+        to build this vary more widely than you might expect. Also, almost 6GB
+        of real memory is used during the final link and the SBUs can increase
+        significantly if the machine has to swap to do this.
       </para>
 