Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/glossary.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/glossary.xsl	(revision fd7e0ed692bd58379a16bc5b7c1c5c472f013f6b)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/glossary.xsl	(revision 410e228bb92f0d8b31d74534aa505b80c8f96b36)
@@ -84,5 +84,5 @@
               <xsl:apply-templates select="$entries" mode="glossary.as.list">
                 <xsl:sort lang="{$language}"
-                          select="translate(glossterm, $lowercase, 
+                          select="translate(glossterm, $lowercase,
                                             $uppercase)"/>
               </xsl:apply-templates>
@@ -101,5 +101,5 @@
           <xsl:apply-templates select="$entries" mode="glossary.as.blocks">
             <xsl:sort lang="{$language}"
-                      select="translate(glossterm, $lowercase, 
+                      select="translate(glossterm, $lowercase,
                                         $uppercase)"/>
           </xsl:apply-templates>
@@ -116,5 +116,5 @@
           <xsl:apply-templates select="$entries" mode="glossary.as.blocks">
             <xsl:sort lang="{$language}"
-                      select="translate(glossterm, $lowercase, 
+                      select="translate(glossterm, $lowercase,
                                         $uppercase)"/>
           </xsl:apply-templates>
@@ -137,5 +137,5 @@
               <xsl:apply-templates select="$entries" mode="glossary.as.list">
                 <xsl:sort lang="{$language}"
-                          select="translate(glossterm, $lowercase, 
+                          select="translate(glossterm, $lowercase,
                                             $uppercase)"/>
               </xsl:apply-templates>
@@ -261,5 +261,5 @@
             <xsl:apply-templates select="glossentry" mode="glossary.as.list">
               <xsl:sort lang="{$language}"
-                        select="translate(glossterm, $lowercase, 
+                        select="translate(glossterm, $lowercase,
                                           $uppercase)"/>
             </xsl:apply-templates>
@@ -276,5 +276,5 @@
           <xsl:apply-templates select="glossentry" mode="glossary.as.blocks">
             <xsl:sort lang="{$language}"
-                      select="translate(glossterm, $lowercase, 
+                      select="translate(glossterm, $lowercase,
                                         $uppercase)"/>
           </xsl:apply-templates>
@@ -290,5 +290,5 @@
           <xsl:apply-templates select="glossentry" mode="glossary.as.blocks">
             <xsl:sort lang="{$language}"
-                      select="translate(glossterm, $lowercase, 
+                      select="translate(glossterm, $lowercase,
                                         $uppercase)"/>
           </xsl:apply-templates>
@@ -307,5 +307,5 @@
             <xsl:apply-templates select="glossentry" mode="glossary.as.list">
               <xsl:sort lang="{$language}"
-                        select="translate(glossterm, $lowercase, 
+                        select="translate(glossterm, $lowercase,
                                           $uppercase)"/>
             </xsl:apply-templates>
@@ -443,9 +443,9 @@
                 <xsl:for-each select="$collection//glossentry">
                   <xsl:sort lang="{$language}"
-                            select="translate(glossterm, $lowercase, 
+                            select="translate(glossterm, $lowercase,
                                               $uppercase)"/>
                   <xsl:variable name="cterm" select="glossterm"/>
                   <xsl:if test="$terms[@baseform = $cterm or . = $cterm]">
-                    <xsl:apply-templates select="." 
+                    <xsl:apply-templates select="."
                                          mode="auto-glossary-as-list"/>
                   </xsl:if>
@@ -456,5 +456,5 @@
                   <xsl:variable name="cterm" select="glossterm"/>
                   <xsl:if test="$terms[@baseform = $cterm or . = $cterm]">
-                    <xsl:apply-templates select="." 
+                    <xsl:apply-templates select="."
                                          mode="auto-glossary-as-list"/>
                   </xsl:if>
@@ -470,9 +470,9 @@
               <xsl:for-each select="$collection//glossentry">
                 <xsl:sort lang="{$language}"
-                          select="translate(glossterm, $lowercase, 
+                          select="translate(glossterm, $lowercase,
                                             $uppercase)"/>
                 <xsl:variable name="cterm" select="glossterm"/>
                 <xsl:if test="$terms[@baseform = $cterm or . = $cterm]">
-                  <xsl:apply-templates select="." 
+                  <xsl:apply-templates select="."
                                        mode="auto-glossary-as-blocks"/>
                 </xsl:if>
@@ -483,5 +483,5 @@
                 <xsl:variable name="cterm" select="glossterm"/>
                 <xsl:if test="$terms[@baseform = $cterm or . = $cterm]">
-                  <xsl:apply-templates select="." 
+                  <xsl:apply-templates select="."
                                        mode="auto-glossary-as-blocks"/>
                 </xsl:if>
@@ -498,9 +498,9 @@
                 <xsl:for-each select="$collection//glossentry">
                   <xsl:sort lang="{$language}"
-                            select="translate(glossterm, $lowercase, 
+                            select="translate(glossterm, $lowercase,
                                               $uppercase)"/>
                   <xsl:variable name="cterm" select="glossterm"/>
                   <xsl:if test="$terms[@baseform = $cterm or . = $cterm]">
-                    <xsl:apply-templates select="." 
+                    <xsl:apply-templates select="."
                                          mode="auto-glossary-as-list"/>
                   </xsl:if>
@@ -511,5 +511,5 @@
                   <xsl:variable name="cterm" select="glossterm"/>
                   <xsl:if test="$terms[@baseform = $cterm or . = $cterm]">
-                    <xsl:apply-templates select="." 
+                    <xsl:apply-templates select="."
                                          mode="auto-glossary-as-list"/>
                   </xsl:if>
@@ -709,5 +709,5 @@
         <xsl:apply-templates select="$entries" mode="glossary.as.list">
           <xsl:sort lang="{$language}"
-                    select="translate(glossterm, $lowercase, 
+                    select="translate(glossterm, $lowercase,
                                       $uppercase)"/>
         </xsl:apply-templates>
@@ -750,13 +750,13 @@
             <xsl:choose>
               <xsl:when test="acronym|abbrev">
-                <xsl:apply-templates select="acronym|abbrev" 
+                <xsl:apply-templates select="acronym|abbrev"
                                      mode="glossary.as.list"/>
                 <xsl:text> (</xsl:text>
-                <xsl:apply-templates select="glossterm" 
+                <xsl:apply-templates select="glossterm"
                                      mode="glossary.as.list"/>
                 <xsl:text>)</xsl:text>
               </xsl:when>
               <xsl:otherwise>
-                <xsl:apply-templates select="glossterm" 
+                <xsl:apply-templates select="glossterm"
                                      mode="glossary.as.list"/>
               </xsl:otherwise>
@@ -769,5 +769,5 @@
             <xsl:if test="acronym|abbrev">
               <xsl:text> (</xsl:text>
-              <xsl:apply-templates select="acronym|abbrev" 
+              <xsl:apply-templates select="acronym|abbrev"
                                    mode="glossary.as.list"/>
               <xsl:text>)</xsl:text>
@@ -934,5 +934,5 @@
       <xsl:apply-templates select="$entries" mode="glossary.as.blocks">
         <xsl:sort lang="{$language}"
-                  select="translate(glossterm, $lowercase, 
+                  select="translate(glossterm, $lowercase,
                                     $uppercase)"/>
       </xsl:apply-templates>
@@ -958,5 +958,5 @@
 
   <fo:block xsl:use-attribute-sets="list.item.spacing"
-           keep-with-next.within-column="always" 
+           keep-with-next.within-column="always"
            keep-together.within-column="always">
     <xsl:call-template name="anchor">