Index: archive/gnome/gnome-menus.xml
===================================================================
--- archive/gnome/gnome-menus.xml	(revision 411e760db99738ba8f648d09dd16f41f56264b4a)
+++ archive/gnome/gnome-menus.xml	(revision 411e760db99738ba8f648d09dd16f41f56264b4a)
@@ -0,0 +1,190 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnome-menus-download-http
+           "&gnome-download-http;/gnome-menus/3.6/gnome-menus-&gnome-menus-version;.tar.xz">
+  <!ENTITY gnome-menus-download-ftp
+           "&gnome-download-ftp;/gnome-menus/3.6/gnome-menus-&gnome-menus-version;.tar.xz">
+  <!ENTITY gnome-menus-md5sum        "c48775f704e7c542496d1fa1a84b2bfd">
+  <!ENTITY gnome-menus-size          "416 KB">
+  <!ENTITY gnome-menus-buildsize     "8.5 MB">
+  <!ENTITY gnome-menus-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="gnome-menus" xreflabel="gnome-menus-&gnome-menus-version;">
+  <?dbhtml filename="gnome-menus.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gnome-menus-&gnome-menus-version;</title>
+
+  <indexterm zone="gnome-menus">
+    <primary sortas="a-gnome-menus">gnome-menus</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GNOME Menus</title>
+
+    <para>
+      The <application>GNOME Menus</application> package contains an
+      implementation of the draft
+      <ulink url="http://www.freedesktop.org/Standards/menu-spec">
+      Desktop Menu Specification</ulink> from freedesktop.org. It also
+      contains the <application>GNOME</application> menu layout configuration
+      files, <filename>.directory</filename> files and a menu related utility
+      program.
+    </para>
+
+    &lfs72_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gnome-menus-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gnome-menus-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gnome-menus-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gnome-menus-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gnome-menus-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gnome-menus-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">GNOME Menus Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="glib2"/> and
+      <xref linkend="intltool"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="gobject-introspection"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/gnome-menus"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GNOME Menus</title>
+
+    <para>
+      Install <application>GNOME Menus</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr \
+            --sysconfdir=/etc \
+            --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          gmenu-simple-editor
+        </seg>
+        <seg>
+          libgnome-menu.so
+        </seg>
+        <seg>
+          /etc/xdg/menus,
+          /usr/include/gnome-menus-3.0,
+          /usr/lib/python&python2-majorver;/site-packages/GMenuSimpleEditor and
+          /usr/share/gnome-menus
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="gmenu-simple-editor">
+        <term><command>gmenu-simple-editor</command></term>
+        <listitem>
+          <para>
+            is used to modify <application>GNOME</application> Menu layout.
+          </para>
+          <indexterm zone="gnome-menus gmenu-simple-editor">
+            <primary sortas="b-gmenu-simple-editor">gmenu-simple-editor</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgnome-menu">
+        <term><filename class="libraryfile">libgnome-menu.so</filename></term>
+        <listitem>
+          <para>
+            contains functions required to support
+            <application>GNOME</application>'s implementation of the
+            Desktop Menu Specification.
+          </para>
+          <indexterm zone="gnome-menus libgnome-menu">
+            <primary sortas="c-libgnome-menu">libgnome-menu.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>