Index: general.ent
===================================================================
--- general.ent	(revision b4b389263c031574343387d8ac109e9a069b2c5c)
+++ general.ent	(revision 0418c9fad35a38814ae4d40212e87df73ec9ec3d)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "05">                   <!-- Always 2 digits -->
+<!ENTITY day          "06">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2021">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 5th, &year;">
+<!ENTITY releasedate  "February 6th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b4b389263c031574343387d8ac109e9a069b2c5c)
+++ introduction/welcome/changelog.xml	(revision 0418c9fad35a38814ae4d40212e87df73ec9ec3d)
@@ -43,4 +43,14 @@
     -->
    <listitem>
+     <para>February 6th, 2021</para>
+     <itemizedlist>
+       <listitem>
+         <para>[renodr] - Update to libreoffice-7.1.0.3. Fixes
+         <ulink url="&blfs-ticket-root;14605">#14605</ulink>.</para>
+       </listitem>
+     </itemizedlist>
+   </listitem>
+
+   <listitem>
      <para>February 5th, 2021</para>
      <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision b4b389263c031574343387d8ac109e9a069b2c5c)
+++ packages.ent	(revision 0418c9fad35a38814ae4d40212e87df73ec9ec3d)
@@ -905,6 +905,6 @@
 <!ENTITY gnucash-version              "2.4.11">
 
-<!ENTITY libreoffice-version          "7.0.4">
-<!ENTITY libreoffice-patch            ".2">
+<!ENTITY libreoffice-version          "7.1.0">
+<!ENTITY libreoffice-patch            ".3">
 <!ENTITY libreoffice-dlversion        "&libreoffice-version;&libreoffice-patch;">
 
Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision b4b389263c031574343387d8ac109e9a069b2c5c)
+++ xsoft/office/libreoffice.xml	(revision 0418c9fad35a38814ae4d40212e87df73ec9ec3d)
@@ -8,22 +8,22 @@
 
   <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-core-md5sum        "cad93ef2c87928b5a2971ae7e6474fe1">
-  <!ENTITY libreoffice-core-size          "226 MB">
+  <!ENTITY libreoffice-core-md5sum        "415e7707d9037feb3b8f4056c84e1da5">
+  <!ENTITY libreoffice-core-size          "232 MB">
 
   <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-dict-md5sum        "f55125ef3ec0541df31c87ee2fa00700">
-  <!ENTITY libreoffice-dict-size          "44 MB">
+  <!ENTITY libreoffice-dict-md5sum        "4e27e0e3c6f5a74140f81957494b3f7c">
+  <!ENTITY libreoffice-dict-size          "46 MB">
 
   <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-help-md5sum        "3862b85f1dd0e7daf2e02484e3839e72">
-  <!ENTITY libreoffice-help-size          "106 MB">
+  <!ENTITY libreoffice-help-md5sum        "124d41a085fd9623aa14438c936d0311">
+  <!ENTITY libreoffice-help-size          "107 MB">
 
   <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-translations-md5sum        "05aa6fbbec0cc08005ff6dca32cb4c40">
-  <!ENTITY libreoffice-translations-size          "168 MB">
+  <!ENTITY libreoffice-translations-md5sum        "6fa77083e00c6f3d4840992a56af6673">
+  <!ENTITY libreoffice-translations-size          "176 MB">
 
   <!-- full size remeasured for 7.0.0.3 -->
 
-  <!ENTITY libreoffice-buildsize  "6.5 GB including the additional files if downloaded during the build (775 MB installed). Installing the whole set of languages requires more than 25 GB (around 3 GB installed)">
+  <!ENTITY libreoffice-buildsize  "9.3 GB including the additional files if downloaded during the build (842 MB installed). Installing the whole set of languages requires more than 25 GB (around 3 GB installed)">
 
  <!-- Editors: many updates to poppler will break LO using system poppler until
@@ -49,5 +49,5 @@
        dictionaries. -renodr
   -->
-  <!ENTITY libreoffice-time "45 SBU with parallelism=4 including typical download time">
+  <!ENTITY libreoffice-time "57 SBU with parallelism=4 including typical download time">
 
 ]>
@@ -270,4 +270,5 @@
       <ulink url="https://commons.apache.org/proper/commons-logging/">Apache Commons Logging</ulink>,
       <ulink url="http://www.beanshell.org/">BeanShell</ulink>,
+      <ulink url="https://box2d.org/documentation/">box2d</ulink>,
       <ulink url="https://projects.coin-or.org/CoinMP/">CoinMP</ulink>,
       <ulink url="http://sourceforge.net/projects/cppunit/">Cppunit</ulink>,
@@ -284,4 +285,6 @@
       <ulink url="http://sourceforge.net/projects/libcmis/">libcmis</ulink>,
       <ulink url="http://www.sourceforge.net/projects/libebook/">libebook</ulink>,
+      <ulink url="https://sourceforge.net/projects/libepubgen/">libepubgen</ulink>,
+      <ulink url="https://wiki.documentfoundation.org/DLP/libraries/libetonyek">libetonyek</ulink>,
       <ulink url="https://wiki.documentfoundation.org/Libexttextcat">libexttextcat</ulink>,
       <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libfreehand">libfreehand</ulink>,
@@ -289,14 +292,21 @@
       <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libmspub">libmspub</ulink>,
       <ulink url="http://sourceforge.net/projects/libmwaw/">libmwaw</ulink>,
+      <ulink url="https://github.com/Numbertext/libnumbertext">libnumbertext</ulink>,
       <ulink url="http://sourceforge.net/projects/libwpd/files/libodfgen/">libodfgen</ulink>,
       <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libpagemaker">libpagemaker</ulink>,
+      <ulink url="https://github.com/nayuki/QR-Code-generator">libqrcodegen</ulink>,
+      <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libqxp">libqxp</ulink>,
       <ulink url="http://sourceforge.net/projects/libwpd/files/librevenge/">librevenge (WordPerfect Document importer)</ulink>,
+      <ulink url="https://github.com/fosnola/libstaroffice/wiki">libstaroffice</ulink>,
       <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libvisio">libvisio</ulink>,
       <ulink url="http://libwpd.sourceforge.net/">libwpd</ulink>,
       <ulink url="http://libwpg.sourceforge.net/">libwpg</ulink>,
       <ulink url="https://sourceforge.net/p/libwps/wiki/Home/">libwps</ulink>,
+      <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libzmf">libzmf</ulink>,
       <ulink url="http://lpsolve.sourceforge.net/">lp_solve</ulink>,
       <ulink url="https://gitlab.com/mdds/mdds">mdds</ulink>,
       <ulink url="http://sourceforge.net/projects/hunspell/files/MyThes/">MyThes</ulink>,
+      <ulink url="https://odftoolkit.org/conformance/ODFValidator.html">odfvalidator</ulink>,
+      <ulink url="https://code.google.com/archive/p/officeotron/">officeotron</ulink>,
       <ulink url="https://github.com/KhronosGroup/OpenCOLLADA/">OpenCOLLADA</ulink>,
       <ulink url="https://gitlab.com/orcus/orcus">Orcus</ulink>,
@@ -387,7 +397,4 @@
     </para>
 
-<!-- For the ICU seds, the spacing here is intentional. Sed will return syntax
-     errors otherise -->
-
 <screen><userinput>sed -e "/gzip -f/d"   \
     -e "s|.1.gz|.1|g" \
@@ -395,12 +402,4 @@
 
 sed -e "/distro-install-file-lists/d" -i Makefile.in &amp;&amp;
-
-sed -i 29a\
-'\\t\t&amp;&amp;sed -i "s/TRUE/true/g" src/lib/libcdr_utils.cpp \\' \
-external/libcdr/ExternalProject_libcdr.mk &amp;&amp;
-
-sed -i 30a\
-'\\t\t&amp;&amp;sed -i "s/TRUE/true/g" src/lib/EBOOKCharsetConverter.cpp \\' \
-external/libebook/ExternalProject_libebook.mk &amp;&amp;
 
 ./autogen.sh --prefix=$LO_PREFIX         \
@@ -527,9 +526,12 @@
     <para>
       <command>sed -e ...</command>: The first sed prevents compression of the
-      manual pages, the second one prevents the install from failing, and the
-      third one allows the build to use poppler-0.86.1 and later.
+      manual pages and the second one prevents the install from failing.
+      <!--and the third one allows the build to use poppler-0.86.1 and later.-->
       <!-- FIXME update hardcoded poppler version in text when necessary -->
-    </para>
-
+      <!-- FIXME as far as I can tell, that sed is no longer present, so I
+           commented the description out here. -renodr -->
+    </para>
+
+<!--
     <para>
       <command>sed -i "s/TRUE/true/" ...</command>: These three sed commands
@@ -539,5 +541,5 @@
       the external projects (the source tarballs are unpacked during the build).
     </para>
-
+-->
     <para>
       <parameter>--with-vendor=BLFS</parameter>: This switch sets BLFS as