Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision 64b92847f403f3c34415bb6137b90261e19ecdb7)
+++ appendices/glossary.xml	(revision 419dd500f6cf2064c9ff4d7273fa3433891eb0f5)
@@ -56,4 +56,7 @@
 <glossdef><para>Concurrent Versions System</para></glossdef></glossentry>
 
+<glossentry id="gDES"><glossterm><acronym>DES</acronym></glossterm>
+<glossdef><para>Data Encryption Standard</para></glossdef></glossentry>
+
 <glossentry id="gDHCP"><glossterm><acronym>DHCP</acronym></glossterm>
 <glossdef><para>Dynamic Host Configuration Protocol</para></glossdef></glossentry>
Index: postlfs/security/pam/linux_pam-inst.xml
===================================================================
--- postlfs/security/pam/linux_pam-inst.xml	(revision 64b92847f403f3c34415bb6137b90261e19ecdb7)
+++ postlfs/security/pam/linux_pam-inst.xml	(revision 419dd500f6cf2064c9ff4d7273fa3433891eb0f5)
@@ -6,5 +6,6 @@
 running the following commands:</para>
 
-<screen><userinput><command>./configure --enable-static-libpam --with-mailspool=/var/mail \
+<screen><userinput><command>patch -Np1 -i ../Linux-PAM-0.77-linkage-1.patch &amp;&amp;
+./configure --enable-static-libpam --with-mailspool=/var/mail \
 --enable-read-both-confs --sysconfdir=/etc &amp;&amp;
 make &amp;&amp;
Index: postlfs/security/pam/linux_pam-intro.xml
===================================================================
--- postlfs/security/pam/linux_pam-intro.xml	(revision 64b92847f403f3c34415bb6137b90261e19ecdb7)
+++ postlfs/security/pam/linux_pam-intro.xml	(revision 419dd500f6cf2064c9ff4d7273fa3433891eb0f5)
@@ -20,4 +20,11 @@
 </sect3>
 
+<sect3><title>Additional download</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required patch:
+<ulink url="&patch-root;/Linux-PAM-0.77-linkage-1.patch"/></para></listitem></itemizedlist>
+</sect3>
+
+
 <sect3><title><application>Linux-<acronym>PAM</acronym></application> 
 dependencies</title>
Index: postlfs/security/security.xml
===================================================================
--- postlfs/security/security.xml	(revision 64b92847f403f3c34415bb6137b90261e19ecdb7)
+++ postlfs/security/security.xml	(revision 419dd500f6cf2064c9ff4d7273fa3433891eb0f5)
@@ -4,5 +4,5 @@
 
 <para>Security takes many forms in a computing environment. This chapter
-gives examples of three different types of security; access, prevention
+gives examples of three different types of security: access, prevention
 and detection.</para>
 
@@ -15,5 +15,5 @@
 
 <para>Prevention of breaches, like a trojan, are assisted by applications like 
-<application>gnupg</application>, specifically the ability to confirm signed 
+<application>GnuPG</application>, specifically the ability to confirm signed 
 packages, which prevents modification of the tarball after the packager creates 
 it.</para>
Index: postlfs/security/shadow.xml
===================================================================
--- postlfs/security/shadow.xml	(revision 64b92847f403f3c34415bb6137b90261e19ecdb7)
+++ postlfs/security/shadow.xml	(revision 419dd500f6cf2064c9ff4d7273fa3433891eb0f5)
@@ -1,4 +1,7 @@
 <sect1 id="shadow">
 <?dbhtml filename="shadow.html" dir="postlfs"?>
+<title>Shadow-4.0.3</title>
+
+<sect2>
 <title>Configuring shadow</title>
 
@@ -9,11 +12,13 @@
 <para>Enabling MD5 Passwords</para>
 
-<para>To enable MD5 Passwords, modify the line in the login.defs file
-that reads:
+<para>To enable MD5 Passwords, modify the line in the
+<filename>login.defs</filename> file that reads:
 <screen><userinput>#MD5_CRYPT_ENAB no</userinput></screen>
 to read:
 <screen><userinput>MD5_CRYPT_ENAB yes</userinput></screen>
 Passwords created after this change will be encrypted using MD5
-instead of using DES encryption.</para>
+(Message-Degest Algroithm) instead of using <acronym>DES</acronym> encryption.
+</para>
+</sect2>
 
 &shadow-inst;
Index: postlfs/security/shadow/shadow-inst.xml
===================================================================
--- postlfs/security/shadow/shadow-inst.xml	(revision 64b92847f403f3c34415bb6137b90261e19ecdb7)
+++ postlfs/security/shadow/shadow-inst.xml	(revision 419dd500f6cf2064c9ff4d7273fa3433891eb0f5)
@@ -16,6 +16,6 @@
 <para>Reinstall shadow by running the following commands:</para>
 
-<screen><userinput><command>patch -Np1 -i ../shadow-4.0.3-pamfix-1.patch &amp;&amp;
-LDFLAGS="-lpam -lpam_misc" ./configure --prefix=/usr --libdir=/usr/lib \
+<screen><userinput><command>patch -Np1 -i ../shadow-4.0.3-pam-2.patch &amp;&amp;
+./configure --prefix=/usr --libdir=/usr/lib \
 --enable-shared --with-libpam &amp;&amp;
 make &amp;&amp;
Index: x/lib/freetype2.xml
===================================================================
--- x/lib/freetype2.xml	(revision 64b92847f403f3c34415bb6137b90261e19ecdb7)
+++ x/lib/freetype2.xml	(revision 419dd500f6cf2064c9ff4d7273fa3433891eb0f5)
@@ -1,5 +1,5 @@
-<sect1 id="freetype2" xreflabel="freetype-&freetype2-version;">
+<sect1 id="freetype2" xreflabel="FreeType-&freetype2-version;">
 <?dbhtml filename="freetype2.html" dir="x"?>
-<title>freetype-&freetype2-version;</title>
+<title>FreeType-&freetype2-version;</title>
 
 &freetype2-intro;
Index: x/lib/freetype2/freetype2-config.xml
===================================================================
--- x/lib/freetype2/freetype2-config.xml	(revision 64b92847f403f3c34415bb6137b90261e19ecdb7)
+++ x/lib/freetype2/freetype2-config.xml	(revision 419dd500f6cf2064c9ff4d7273fa3433891eb0f5)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Configuring <application>freetype2</application></title>
+<title>Configuring <application>FreeType2</application></title>
 
 <sect3><title>Configuration Information</title>
Index: x/lib/freetype2/freetype2-desc.xml
===================================================================
--- x/lib/freetype2/freetype2-desc.xml	(revision 64b92847f403f3c34415bb6137b90261e19ecdb7)
+++ x/lib/freetype2/freetype2-desc.xml	(revision 419dd500f6cf2064c9ff4d7273fa3433891eb0f5)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The <application>freetype2</application> package contains <filename>
+<para>The <application>FreeType2</application> package contains <filename>
 libfreetype</filename> libraries.</para>
 </sect2>
@@ -9,6 +9,6 @@
 
 <sect3><title>freetype2 libraries</title>
-<para><application>freetype2</application> libraries add TrueType font capabilities to
-<application>XFree86</application>.</para></sect3>
+<para><application>freetype2</application> libraries add TrueType font 
+capabilities to <application>XFree86</application>.</para></sect3>
 
 </sect2>
Index: x/lib/freetype2/freetype2-inst.xml
===================================================================
--- x/lib/freetype2/freetype2-inst.xml	(revision 64b92847f403f3c34415bb6137b90261e19ecdb7)
+++ x/lib/freetype2/freetype2-inst.xml	(revision 419dd500f6cf2064c9ff4d7273fa3433891eb0f5)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Installation of <application>freetype2</application></title>
+<title>Installation of <application>FreeType2</application></title>
 
-<para>Install <application>freetype2</application> by running the following 
+<para>Install <application>FreeType2</application> by running the following 
 commands:</para>
 
Index: x/lib/freetype2/freetype2-intro.xml
===================================================================
--- x/lib/freetype2/freetype2-intro.xml	(revision 64b92847f403f3c34415bb6137b90261e19ecdb7)
+++ x/lib/freetype2/freetype2-intro.xml	(revision 419dd500f6cf2064c9ff4d7273fa3433891eb0f5)
@@ -1,6 +1,6 @@
 <sect2>
-<title>Introduction to <application>freetype2</application></title>
+<title>Introduction to <application>FreeType2</application></title>
 
-<para>The <application>freetype2</application> package contains a library to 
+<para>The <application>FreeType2</application> package contains a library to 
 allow <application>XFree86</application> to properly render TrueType fonts.</para>
 