Index: general/graphlib/libwebp.xml
===================================================================
--- general/graphlib/libwebp.xml	(revision fabc9f31c03dc951d9515c707da8247459f3d19a)
+++ general/graphlib/libwebp.xml	(revision 420c072554cfafda413fdd5125f19d940669d701)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY libwebp-download-http "https://webp.googlecode.com/files/libwebp-&libwebp-version;.tar.gz">
+  <!ENTITY libwebp-download-http "http://downloads.webmproject.org/releases/webp/libwebp-&libwebp-version;.tar.gz">
   <!ENTITY libwebp-download-ftp  " ">
-  <!ENTITY libwebp-md5sum        "c8dd1d26eb9566833aba269b86d97e68">
-  <!ENTITY libwebp-size          "868 KB">
-  <!ENTITY libwebp-buildsize     "13 MB">
-  <!ENTITY libwebp-time          "0.1 SBU">
+  <!ENTITY libwebp-md5sum        "42bc79613ec5ee5b0e68ba97839c981e">
+  <!ENTITY libwebp-size          "944 KB">
+  <!ENTITY libwebp-buildsize     "14 MB">
+  <!ENTITY libwebp-time          "0.2 SBU">
 ]>
 
@@ -99,6 +99,5 @@
     </para>
 
-<screen><userinput>sed -i '/DGifCloseFile/s:gif:&amp;, NULL:g' examples/gif2webp.c &amp;&amp;
-./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
 
@@ -117,9 +116,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -i...</command>: This sed fixes building with new versions
-      of giflib.
-    </para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: general/graphlib/poppler.xml
===================================================================
--- general/graphlib/poppler.xml	(revision fabc9f31c03dc951d9515c707da8247459f3d19a)
+++ general/graphlib/poppler.xml	(revision 420c072554cfafda413fdd5125f19d940669d701)
@@ -8,7 +8,7 @@
            "http://poppler.freedesktop.org/poppler-&poppler-version;.tar.xz">
   <!ENTITY poppler-download-ftp       " ">
-  <!ENTITY poppler-md5sum             "e101f6653f9f68ab63dac63ec34801d1">
-  <!ENTITY poppler-size               "1.7 MB">
-  <!ENTITY poppler-buildsize          "144 MB (building Qt4 and Qt5 libraries, additional 47 MB for the test suite and 24 MB for poppler-data)">
+  <!ENTITY poppler-md5sum             "e58cdddfc7dc01f00bf7394e0e4f21ce">
+  <!ENTITY poppler-size               "1.6 MB">
+  <!ENTITY poppler-buildsize          "145 MB (building Qt4 and Qt5 libraries, additional 46 MB for the test suite and 24 MB for poppler-data)">
   <!ENTITY poppler-time               "1.7 SBU (building Qt4 and Qt5 libraries, additional 0.2 SBU for the test suite for each Qt)">
 
Index: general/prog/doxygen.xml
===================================================================
--- general/prog/doxygen.xml	(revision fabc9f31c03dc951d9515c707da8247459f3d19a)
+++ general/prog/doxygen.xml	(revision 420c072554cfafda413fdd5125f19d940669d701)
@@ -7,8 +7,8 @@
   <!ENTITY doxygen-download-http "http://ftp.stack.nl/pub/doxygen/doxygen-&doxygen-version;.src.tar.gz">
   <!ENTITY doxygen-download-ftp  "ftp://ftp.stack.nl/pub/doxygen/doxygen-&doxygen-version;.src.tar.gz">
-  <!ENTITY doxygen-md5sum        "ff0529df773301f63db82c25137b7fd8">
-  <!ENTITY doxygen-size          "4.6 MB">
-  <!ENTITY doxygen-buildsize     "101 MB">
-  <!ENTITY doxygen-time          "1.7 SBU">
+  <!ENTITY doxygen-md5sum        "0cbe6912fcac302a984bfcfb9231fec9">
+  <!ENTITY doxygen-size          "4.8 MB">
+  <!ENTITY doxygen-buildsize     "111 MB">
+  <!ENTITY doxygen-time          "1.3 SBU">
 ]>
 
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision fabc9f31c03dc951d9515c707da8247459f3d19a)
+++ general/prog/php.xml	(revision 420c072554cfafda413fdd5125f19d940669d701)
@@ -7,8 +7,8 @@
   <!ENTITY php-download-http "http://us2.php.net/distributions/php-&php-version;.tar.bz2">
   <!ENTITY php-download-ftp  "ftp://ftp.isu.edu.tw/pub/Unix/Web/PHP/distributions/php-&php-version;.tar.bz2">
-  <!ENTITY php-md5sum        "5cb5f2ed9099299f8a4c952d59d93812">
+  <!ENTITY php-md5sum        "331a87fb27e100a88b3845d34582f769">
   <!ENTITY php-size          "13 MB">
   <!ENTITY php-buildsize     "372 MB (additional 1 MB to run the test suite and 102 MB for documentation)">
-  <!ENTITY php-time          "4 SBU (additional 2 SBU to run the test suite)">
+  <!ENTITY php-time          "4 SBU (additional 1.9 SBU to run the test suite)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision fabc9f31c03dc951d9515c707da8247459f3d19a)
+++ introduction/welcome/changelog.xml	(revision 420c072554cfafda413fdd5125f19d940669d701)
@@ -48,4 +48,34 @@
       <para>August 22nd, 2014</para>
       <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to libwebp-0.4.18. Fixes
+          <ulink url="&blfs-ticket-root;5415">#5415</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to php-5.5.16. Fixes
+          <ulink url="&blfs-ticket-root;5414">#5414</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to xine-ui-0.99.9. Fixes
+          <ulink url="&blfs-ticket-root;5413">#5413</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to lxpanel-0.7.0. Fixes
+          <ulink url="&blfs-ticket-root;5412">#5412</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to doxygen-1.8.8. Fixes
+          <ulink url="&blfs-ticket-root;5411">#5411</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to poppler-0.26.4. Fixes
+          <ulink url="&blfs-ticket-root;5410">#5410</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to libreoffice-4.3.0. Patch sent by
+          Christopher G, from systemd branch, thank you very much. Some
+          fixes from Armin K, from systemd branch, thanks. Fixes
+          <ulink url="&blfs-ticket-root;5311">#5311</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[ken] - Update to mdadm-3.3.2. Fixes
Index: lxde/desktop/lxpanel.xml
===================================================================
--- lxde/desktop/lxpanel.xml	(revision fabc9f31c03dc951d9515c707da8247459f3d19a)
+++ lxde/desktop/lxpanel.xml	(revision 420c072554cfafda413fdd5125f19d940669d701)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY lxpanel-download-http "&sourceforge-repo;/lxde/lxpanel-&lxpanel-version;.tar.gz">
+  <!ENTITY lxpanel-download-http "&sourceforge-repo;/lxde/lxpanel-&lxpanel-version;.tar.xz">
   <!ENTITY lxpanel-download-ftp  " ">
-  <!ENTITY lxpanel-md5sum        "b074182b6effe46ccac97bf178de4e32">
-  <!ENTITY lxpanel-size          "2.0 MB">
-  <!ENTITY lxpanel-buildsize     "23 MB">
+  <!ENTITY lxpanel-md5sum        "39698de2c5eda2837607762c9f522cd0">
+  <!ENTITY lxpanel-size          "1.5 MB">
+  <!ENTITY lxpanel-buildsize     "24 MB">
   <!ENTITY lxpanel-time          "0.3 SBU">
 ]>
Index: multimedia/videoutils/xine-ui.xml
===================================================================
--- multimedia/videoutils/xine-ui.xml	(revision fabc9f31c03dc951d9515c707da8247459f3d19a)
+++ multimedia/videoutils/xine-ui.xml	(revision 420c072554cfafda413fdd5125f19d940669d701)
@@ -7,9 +7,10 @@
   <!ENTITY xine-ui-download-http
     "&sourceforge-repo;/xine/xine-ui-&xine-ui-version;.tar.xz">
-  <!ENTITY xine-ui-download-ftp
-    "&gentoo-ftp-repo;/xine-ui-&xine-ui-version;.tar.xz">
-  <!ENTITY xine-ui-md5sum        "8dc079baeab56c99e33268a973bc288e">
+  <!ENTITY xine-ui-download-ftp " ">
+<!--  <!ENTITY xine-ui-download-ftp
+    "&gentoo-ftp-repo;/xine-ui-&xine-ui-version;.tar.xz">-->
+  <!ENTITY xine-ui-md5sum        "a6d00381b5c8b7aec1a7a3fbf84f01ce">
   <!ENTITY xine-ui-size          "1.7 MB">
-  <!ENTITY xine-ui-buildsize     "33 MB">
+  <!ENTITY xine-ui-buildsize     "26 MB">
   <!ENTITY xine-ui-time          "0.3 SBU">
 ]>
@@ -104,6 +105,5 @@
     </para>
 
-<screen><userinput>sed -i 's/(CPPFunction[^)]*)//' src/xitk/network.c &amp;&amp;
-./configure --prefix=/usr &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -125,10 +125,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-       <parameter>sed -i 's/(CPPFunction[^)]*)//' src/xitk/network.c</parameter>:
-       This command removes an unnecessary reference to deprecated code which fails
-       to compile with <application>readline-6.3</application>.
-    </para>
 
     <para>
Index: packages.ent
===================================================================
--- packages.ent	(revision fabc9f31c03dc951d9515c707da8247459f3d19a)
+++ packages.ent	(revision 420c072554cfafda413fdd5125f19d940669d701)
@@ -170,9 +170,9 @@
 <!ENTITY libraw-version               "0.16.0">
 <!ENTITY libtiff-version              "4.0.3">
-<!ENTITY libwebp-version              "0.4.0">
+<!ENTITY libwebp-version              "0.4.1">
 <!ENTITY newt-version                 "0.52.17">
 <!ENTITY openjpeg-version             "1.5.2">
 <!ENTITY pixman-version               "0.32.6">   <!-- Even minors only -->
-<!ENTITY poppler-version              "0.26.3">   <!-- Even minors only -->
+<!ENTITY poppler-version              "0.26.4">   <!-- Even minors only -->
 <!ENTITY qpdf-version                 "5.1.2">
 
@@ -244,5 +244,5 @@
 <!ENTITY cvs-version                  "1.11.23">
 <!ENTITY dejagnu-version              "1.5.1">
-<!ENTITY doxygen-version              "1.8.7">
+<!ENTITY doxygen-version              "1.8.8">
 <!ENTITY elfutils-version             "0.159">
 <!ENTITY expect-version               "5.45">
@@ -258,5 +258,5 @@
 <!ENTITY nasm-version                 "2.11.05">
 <!ENTITY npapi-sdk-version            "0.27.2">
-<!ENTITY php-version                  "5.5.15">
+<!ENTITY php-version                  "5.5.16">
 <!ENTITY python2-version              "2.7.8">
 <!ENTITY python3-version              "3.4.1">
@@ -529,5 +529,5 @@
 <!ENTITY libfm-version                "1.2.1">
 <!ENTITY pcmanfm-version              "1.2.1">
-<!ENTITY lxpanel-version              "0.6.2">
+<!ENTITY lxpanel-version              "0.7.0">
 <!ENTITY lxappearance-version         "0.5.5">
 <!ENTITY lxpolkit-version             "0.1.0">
@@ -549,6 +549,6 @@
 <!ENTITY gnucash-version              "2.4.11">
 
-<!ENTITY libreoffice-version          "4.2.5">
-<!ENTITY libreoffice-patch            ".2">
+<!ENTITY libreoffice-version          "4.3.0">
+<!ENTITY libreoffice-patch            ".4">
 <!ENTITY libreoffice-dlversion        "&libreoffice-version;&libreoffice-patch;">
 
@@ -659,5 +659,5 @@
 <!ENTITY ffmpeg-version               "2.3.3">
 <!ENTITY mplayer-version              "1.1.1">
-<!ENTITY xine-ui-version              "0.99.8">
+<!ENTITY xine-ui-version              "0.99.9">
 <!ENTITY transcode-version            "1.1.7">
 <!ENTITY vlc-version                  "2.1.5">
Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision fabc9f31c03dc951d9515c707da8247459f3d19a)
+++ xsoft/office/libreoffice.xml	(revision 420c072554cfafda413fdd5125f19d940669d701)
@@ -8,21 +8,21 @@
 
   <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-core-md5sum        "eb44cc33bb9331db4c1b6ae0b03fff9f">
-  <!ENTITY libreoffice-core-size          "118 MB">
+  <!ENTITY libreoffice-core-md5sum        "de0d9322f3aaeb20abd5e06c5c0972bb">
+  <!ENTITY libreoffice-core-size          "145 MB">
 
   <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-dict-md5sum        "8ac6a48b78c34f52e8bf43f29cf14bfe">
+  <!ENTITY libreoffice-dict-md5sum        "cd27ec060c68079a13abf0984dbbf5fa">
   <!ENTITY libreoffice-dict-size          "36 MB">
 
   <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-help-md5sum        "867c10167b05ba19162b78032405524b">
+  <!ENTITY libreoffice-help-md5sum        "89d9da0ff2d5ea07f8c30c680fee2b0a">
   <!ENTITY libreoffice-help-size          "1.8 MB">
 
   <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-translations-md5sum        "6bcd61a3f977f78c64b1eaa13a40524c">
-  <!ENTITY libreoffice-translations-size          "122 MB">
-
-  <!ENTITY libreoffice-buildsize          "4.0 GB (423 MB installed) - 9.6 GB (528 MB installed), with translations">
-  <!ENTITY libreoffice-time               "139 SBU - 165 SBU, with translations">
+  <!ENTITY libreoffice-translations-md5sum        "8e2f7905a0f827f655a1e21d93c6ddf7">
+  <!ENTITY libreoffice-translations-size          "121 MB">
+
+  <!ENTITY libreoffice-buildsize          "8.23 GB,(497 MB installed), with translations">
+  <!ENTITY libreoffice-time               "144 SBU - 165 SBU, with translations">
 ]>
 
@@ -161,5 +161,5 @@
       <xref linkend="glu"/>,
       <xref linkend="gtk2"/>,
-      <xref linkend="boost"/>,
+    <!--<xref linkend="boost"/>,-->
       <xref linkend="clucene"/>,
       <xref linkend="cups"/>,
@@ -274,5 +274,5 @@
     </para>
 
-<screen><userinput>install -dm755 src &amp;&amp;
+<screen><userinput>install -dm755 external/tarballs &amp;&amp;
 
 tar -xf ../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz --no-overwrite-dir --strip-components=1 &amp;&amp;
@@ -280,6 +280,6 @@
 tar -xf ../libreoffice-help-&libreoffice-dlversion;.tar.xz -\-no-overwrite-dir -\-strip-components=1 &amp;&amp;
 -->
-ln -sv ../../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz src/ &amp;&amp;
-ln -sv ../../libreoffice-help-&libreoffice-dlversion;.tar.xz src/</userinput></screen>
+ln -sv ../../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz external/tarballs/ &amp;&amp;
+ln -sv ../../libreoffice-help-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
 
 <!-- Not necessary for this version
@@ -295,5 +295,5 @@
     </para>
 
-<screen><userinput>ln -sv ../../libreoffice-translations-&libreoffice-dlversion;.tar.xz src/</userinput></screen>
+<screen><userinput>ln -sv ../../libreoffice-translations-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
 
     <note>
@@ -339,4 +339,9 @@
     -i bin/distro-install-desktop-integration        &amp;&amp;
 sed -e "/distro-install-file-lists/d" -i Makefile.in &amp;&amp;
+
+sed -e "/distro-install-file-lists/d"           \
+    -e "s:fetch_Download_item:&amp;_unchecked:" \
+    -e "/fetch_Download_item/s:,no-check::"     \
+   -i Makefile.in                                  &amp;&amp;
 
 chmod -v +x bin/unpack-sources                     &amp;&amp;
@@ -357,6 +362,6 @@
              --disable-postgresql-sdbc   \
              --enable-release-build=yes  \
-             --enable-python=system      \
-             --with-system-boost         \
+             --enable-python=system      \<!--
+             - -with-system-boost    \ --> 
              --with-system-clucene       \
              --with-system-cairo         \
@@ -438,5 +443,6 @@
       <command>sed -e ...</command>: First sed prevents compression of the
       manual pages, the second one prevents a script that causes install to
-      fail from running and the third one fixes the unpack script.
+      fail from running, the third one fixes the download location and the
+      fourth one fixes the unpack script.
     </para>
 