Index: general.ent
===================================================================
--- general.ent	(revision 82d1159ec1b3cdeb242dee4918043a75261f44a0)
+++ general.ent	(revision 423b1d94d84f27ef25edadcec5fcb18406de18db)
@@ -40,5 +40,5 @@
 <!ENTITY mitkrb-version               "1.4"> 
 <!ENTITY cyrus-sasl-version           "2.1.20"> 
-<!ENTITY stunnel-version              "4.07"> 
+<!ENTITY stunnel-version              "4.09"> 
                                   
 <!-- Chapter 5 -->                
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 82d1159ec1b3cdeb242dee4918043a75261f44a0)
+++ introduction/welcome/changelog.xml	(revision 423b1d94d84f27ef25edadcec5fcb18406de18db)
@@ -23,6 +23,6 @@
 <itemizedlist>
 
-<listitem><para>April 4th, 2005 [randy]: Updated to 
-OpenLDAP-2.2.24</para></listitem>
+<listitem><para>April 4th, 2005 [randy]: Updated to OpenLDAP-2.2.24 and 
+Stunnel-4.09</para></listitem>
 
 <listitem><para>April 4th, 2005 [igor]: Updated to OpenSSL-0.9.7f
Index: postlfs/security/stunnel.xml
===================================================================
--- postlfs/security/stunnel.xml	(revision 82d1159ec1b3cdeb242dee4918043a75261f44a0)
+++ postlfs/security/stunnel.xml	(revision 423b1d94d84f27ef25edadcec5fcb18406de18db)
@@ -5,10 +5,11 @@
   %general-entities;
 
-  <!ENTITY stunnel-download-http "http://www.stunnel.org/download/stunnel/src/stunnel-&stunnel-version;.tar.gz">
-  <!ENTITY stunnel-download-ftp  "ftp://ftp.fu-berlin.de/unix/linux/mirrors/gentoo/distfiles/stunnel-&stunnel-version;.tar.gz">
-  <!ENTITY stunnel-md5sum        "7d53af550a1c2e01e146b936e58b8860">
-  <!ENTITY stunnel-size          "486 KB">
+  <!-- <!ENTITY stunnel-download-http "http://www.stunnel.org/download/stunnel/src/stunnel-&stunnel-version;.tar.gz"> -->
+  <!ENTITY stunnel-download-http " ">
+  <!ENTITY stunnel-download-ftp  "ftp://stunnel.mirt.net/stunnel/stunnel-&stunnel-version;.tar.gz">
+  <!ENTITY stunnel-md5sum        "2077669b04c36e4c0baa68348e8860a7">
+  <!ENTITY stunnel-size          "484 KB">
   <!ENTITY stunnel-buildsize     "3.9 MB">
-  <!ENTITY stunnel-time          "0.11 SBU">
+  <!ENTITY stunnel-time          "0.10 SBU">
 ]>
 
@@ -53,4 +54,12 @@
 </sect3>
 
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing="compact">
+<listitem><para>Required patch: <ulink 
+url="ftp://stunnel.mirt.net/stunnel/stunnel-&stunnel-version;-1_minute_sleep_fix.patch"/></para>
+</listitem>
+</itemizedlist>
+</sect3>
+
 <sect3><title><application>Stunnel</application> dependencies</title>
 <sect4><title>Required</title>
@@ -81,7 +90,8 @@
 necessary to run the <command>stunnel</command> daemon. If you own, or have 
 already created a signed <acronym>SSL</acronym> Certificate you wish to use, 
-copy it to <filename>tools/stunnel.pem</filename> in the source directory 
-before starting the build, otherwise you will be prompted to create one. The 
-<filename>.pem</filename> file must be formatted as shown below:</para>
+copy it to <filename>/etc/stunnel/stunnel.pem</filename> before starting the 
+build, otherwise you will be prompted to create one during the installation 
+process. The <filename>.pem</filename> file must be formatted as shown 
+below:</para>
 
 <screen>-----BEGIN RSA PRIVATE KEY-----
@@ -95,6 +105,7 @@
 commands:</para>
 
-<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc \
-    --localstatedir=/var/lib/stunnel &amp;&amp;
+<screen><userinput><command>patch -Np1 -i ../stunnel-&stunnel-version;-1_minute_sleep_fix.patch &amp;&amp;
+./configure --prefix=/usr --sysconfdir=/etc \
+    --localstatedir=/var/lib &amp;&amp;
 make</command></userinput></screen>
 
@@ -112,13 +123,13 @@
 of <filename class='directory'>/usr/etc</filename>.</para>
 
-<para><parameter>--localstatedir=/var/lib/stunnel</parameter>: This parameter 
+<para><parameter>--localstatedir=/var/lib</parameter>: This parameter 
 causes the installation process to create 
-<filename class='directory'>/var/lib/stunnel/stunnel</filename> instead of 
+<filename class='directory'>/var/lib/stunnel</filename> instead of 
 <filename class='directory'>/usr/var/stunnel</filename>.</para>
 
-<para><command>make</command>: This command builds the package and, if you
-did not copy an <filename>stunnel.pem</filename> file to the source 
-<filename class='directory'>tools/</filename> directory, prompts you for the
-necessary information to create one. Ensure you reply to the</para>
+<para><command>make install</command>: This command installs the package and, 
+if you did not copy an <filename>stunnel.pem</filename> file to the 
+<filename class='directory'>/etc/stunnel</filename> directory, prompts you for 
+the necessary information to create one. Ensure you reply to the</para>
 
 <screen><computeroutput>Common Name (FQDN of your server) [localhost]:</computeroutput></screen>