Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/evolution-data-server.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/folks.xml
===================================================================
--- gnome/platform/folks.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/folks.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gdm.xml
===================================================================
--- gnome/platform/gdm.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gdm.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/geocode-glib.xml
===================================================================
--- gnome/platform/geocode-glib.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/geocode-glib.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gfbgraph.xml
===================================================================
--- gnome/platform/gfbgraph.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gfbgraph.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-autoar.xml
===================================================================
--- gnome/platform/gnome-autoar.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-autoar.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-backgrounds.xml
===================================================================
--- gnome/platform/gnome-backgrounds.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-backgrounds.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-bluetooth.xml
===================================================================
--- gnome/platform/gnome-bluetooth.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-bluetooth.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-control-center.xml
===================================================================
--- gnome/platform/gnome-control-center.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-control-center.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-menus.xml
===================================================================
--- gnome/platform/gnome-menus.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-menus.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-online-accounts.xml
===================================================================
--- gnome/platform/gnome-online-accounts.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-online-accounts.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-session.xml
===================================================================
--- gnome/platform/gnome-session.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-session.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-settings-daemon.xml
===================================================================
--- gnome/platform/gnome-settings-daemon.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-settings-daemon.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-shell-extensions.xml
===================================================================
--- gnome/platform/gnome-shell-extensions.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-shell-extensions.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-shell.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-user-docs.xml
===================================================================
--- gnome/platform/gnome-user-docs.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-user-docs.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-video-effects.xml
===================================================================
--- gnome/platform/gnome-video-effects.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gnome-video-effects.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/grilo.xml
===================================================================
--- gnome/platform/grilo.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/grilo.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -34,5 +34,5 @@
     developers.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gsound.xml
===================================================================
--- gnome/platform/gsound.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/gsound.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgdata.xml
===================================================================
--- gnome/platform/libgdata.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/libgdata.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -7,8 +7,8 @@
   <!ENTITY libgdata-download-http "&gnome-download-http;/libgdata/0.17/libgdata-&libgdata-version;.tar.xz">
   <!ENTITY libgdata-download-ftp  "&gnome-download-ftp;/libgdata/0.17/libgdata-&libgdata-version;.tar.xz">
-  <!ENTITY libgdata-md5sum        "d858d411ad394c275643b14993dfeed4">
-  <!ENTITY libgdata-size          "820 MB">
-  <!ENTITY libgdata-buildsize     "73 MB (with tests)">
-  <!ENTITY libgdata-time          "1.1 SBU (with tests)">
+  <!ENTITY libgdata-md5sum        "7b98e9059255d8a2fb147c4e727230a8">
+  <!ENTITY libgdata-size          "828 MB">
+  <!ENTITY libgdata-buildsize     "53 MB (with tests)">
+  <!ENTITY libgdata-time          "0.8 SBU (with tests)">
 ]>
 
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgee.xml
===================================================================
--- gnome/platform/libgee.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/libgee.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgtop.xml
===================================================================
--- gnome/platform/libgtop.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/libgtop.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgweather.xml
===================================================================
--- gnome/platform/libgweather.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/libgweather.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/mutter.xml
===================================================================
--- gnome/platform/mutter.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/mutter.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/nautilus.xml
===================================================================
--- gnome/platform/nautilus.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/nautilus.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/notification-daemon.xml
===================================================================
--- gnome/platform/notification-daemon.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/notification-daemon.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/totem-pl-parser.xml
===================================================================
--- gnome/platform/totem-pl-parser.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/totem-pl-parser.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/tracker-miners.xml
===================================================================
--- gnome/platform/tracker-miners.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/tracker-miners.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/tracker.xml
===================================================================
--- gnome/platform/tracker.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/tracker.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -121,5 +121,5 @@
       To test the results, issue: <command>ninja test</command>. The tests
       should be run from a graphical session. The test named steroids may
-      fails but will pass if you rerun the tests after the installation.
+      fail but will pass if you rerun the tests after the installation.
     </para>
 
Index: gnome/platform/zenity.xml
===================================================================
--- gnome/platform/zenity.xml	(revision fccfaa486a8ad12edb9fc44145646bbfaccc05e1)
+++ gnome/platform/zenity.xml	(revision 425f8d694286e51a7aaa4bff9cd854bac48e0328)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>