Index: general.ent
===================================================================
--- general.ent	(revision 2217b13c757cd71d9e04ce3d3b52393980680e6d)
+++ general.ent	(revision 432a1117573a83ff9e844848544616ce62945d4f)
@@ -47,5 +47,5 @@
 <!ENTITY trinity-repo-http    "http://anduin.&lfs-domainname;/sources/trinity">
 <!ENTITY publisher            "Unknown">
-<!ENTITY xorg-download-http   "http://xorg.freedesktop.org/releases/individual">
+<!ENTITY xorg-download-http   "http://xorg.freedesktop.org/archive/individual">
 <!ENTITY xorg-download-ftp    "ftp://ftp.x.org/pub/individual">
 <!ENTITY mozilla-http         "http://releases.mozilla.org/pub/mozilla.org">
@@ -524,5 +524,5 @@
 <!ENTITY xorg-version                 "7.7">      <!-- applies to all xorg packages -->
 <!ENTITY util-macros-version          "1.17">
-<!ENTITY makedepend-version           "1.0.4">
+<!ENTITY makedepend-version           "1.0.5">
 <!ENTITY libXau-version               "1.0.8">
 <!ENTITY libXdmcp-version             "1.1.1">
@@ -531,5 +531,5 @@
 <!ENTITY libxcb-version               "1.9.1">
 <!ENTITY xbitmaps-version             "1.1.1">
-<!ENTITY xcursor-themes-version       "1.0.3">
+<!ENTITY xcursor-themes-version       "1.0.4">
 <!ENTITY xkeyboard-config-version     "2.9">
 <!ENTITY mesalib-version              "9.1.5">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2217b13c757cd71d9e04ce3d3b52393980680e6d)
+++ introduction/welcome/changelog.xml	(revision 432a1117573a83ff9e844848544616ce62945d4f)
@@ -48,4 +48,10 @@
       <itemizedlist>
         <listitem>
+          <para>[krejzi] - Updated Xorg components to latest ones.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Xorg Wacom Driver 0.22.1.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to poppler-0.24.0.</para>
         </listitem>
Index: x/installing/makedepend.xml
===================================================================
--- x/installing/makedepend.xml	(revision 2217b13c757cd71d9e04ce3d3b52393980680e6d)
+++ x/installing/makedepend.xml	(revision 432a1117573a83ff9e844848544616ce62945d4f)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY makedepend-download-http "http://xorg.freedesktop.org/releases/individual/util/makedepend-&makedepend-version;.tar.bz2">
-  <!ENTITY makedepend-download-ftp  "ftp://ftp.x.org/pub/individual/util/makedepend-&makedepend-version;.tar.bz2">
-  <!ENTITY makedepend-md5sum        "7acb9a831817fdd11ba7f7aaa3c74fd8">
-  <!ENTITY makedepend-size          "129 KB">
-  <!ENTITY makedepend-buildsize     "1.2 MB">
+  <!ENTITY makedepend-download-http "&xorg-download-http;/util/makedepend-&makedepend-version;.tar.bz2">
+  <!ENTITY makedepend-download-ftp  "&xorg-download-ftp;/util/makedepend-&makedepend-version;.tar.bz2">
+  <!ENTITY makedepend-md5sum        "0475638eb40a3920d0d3f14482c924a4">
+  <!ENTITY makedepend-size          "144 KB">
+  <!ENTITY makedepend-buildsize     "1.5 MB">
   <!ENTITY makedepend-time          "less than 0.1 SBU">
 ]>
Index: x/installing/x7app.xml
===================================================================
--- x/installing/x7app.xml	(revision 2217b13c757cd71d9e04ce3d3b52393980680e6d)
+++ x/installing/x7app.xml	(revision 432a1117573a83ff9e844848544616ce62945d4f)
@@ -14,6 +14,6 @@
   <!ENTITY bdftopcf-md5sum                 "96a648a332160a7482885800f7a506fa">
 
-  <!ENTITY iceauth-version                 "1.0.5">
-  <!ENTITY iceauth-md5sum                  "08e3f6b523da8b0af179f22f339508b2">
+  <!ENTITY iceauth-version                 "1.0.6">
+  <!ENTITY iceauth-md5sum                  "2527344acc60741a709f4858564c5ae6">
 
   <!ENTITY luit-version                    "1.1.1">
@@ -23,6 +23,6 @@
   <!ENTITY mkfontdir-md5sum                "18c429148c96c2079edda922a2b67632">
 
-  <!ENTITY mkfontscale-version             "1.1.0">
-  <!ENTITY mkfontscale-md5sum              "414fcb053418fb1418e3a39f4a37e0f7">
+  <!ENTITY mkfontscale-version             "1.1.1">
+  <!ENTITY mkfontscale-md5sum              "03de3f15db678e277f5ef9c013aca1ad">
 
   <!ENTITY sessreg-version                 "1.0.8">
@@ -62,6 +62,6 @@
   <!ENTITY xgamma-md5sum                   "c06067f572bc4a5298f324f27340da95">
 
-  <!ENTITY xhost-version                   "1.0.5">
-  <!ENTITY xhost-md5sum                    "a0fcd2cb6ddd9f378944cc6f4f83cd7c">
+  <!ENTITY xhost-version                   "1.0.6">
+  <!ENTITY xhost-md5sum                    "f1669af1fe0554e876f03319c678e79d">
 
   <!ENTITY xinput-version                  "1.6.0">
@@ -98,6 +98,6 @@
   <!ENTITY xprop-md5sum                    "d5529dc8d811efabd136ca2d8e857deb">
 
-  <!ENTITY xrandr-version                  "1.4.0">
-  <!ENTITY xrandr-md5sum                   "4d68317238bb14a33c0e419233d57d87">
+  <!ENTITY xrandr-version                  "1.4.1">
+  <!ENTITY xrandr-md5sum                   "52c3de0297bf45be6a189dc2e0515638">
 
   <!ENTITY xrdb-version                    "1.0.9">
Index: x/installing/x7driver.xml
===================================================================
--- x/installing/x7driver.xml	(revision 2217b13c757cd71d9e04ce3d3b52393980680e6d)
+++ x/installing/x7driver.xml	(revision 432a1117573a83ff9e844848544616ce62945d4f)
@@ -44,10 +44,10 @@
   <!ENTITY xorg-vmmouse-driver-time          "less than 0.1 SBU">
 
-  <!ENTITY xorg-wacom-driver-version "0.21.0">
+  <!ENTITY xorg-wacom-driver-version "0.22.1">
 
   <!ENTITY xorg-wacom-driver-download-http "&sourceforge-repo;/linuxwacom/xf86-input-wacom-&xorg-wacom-driver-version;.tar.bz2">
   <!ENTITY xorg-wacom-driver-download-ftp  " ">
-  <!ENTITY xorg-wacom-driver-md5sum        "a726649cb05c98cb1b18a3b7a4f079ed">
-  <!ENTITY xorg-wacom-driver-size          "528 KB">
+  <!ENTITY xorg-wacom-driver-md5sum        "dba80caac08145a907fc7f7796f3aea7">
+  <!ENTITY xorg-wacom-driver-size          "536 KB">
   <!ENTITY xorg-wacom-driver-buildsize     "7.8 MB">
   <!ENTITY xorg-wacom-driver-time          "less than 0.1 SBU">
@@ -665,5 +665,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -822,5 +822,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -985,5 +985,5 @@
       </para>
 
-      &lfs72_built;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -1557,5 +1557,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -1870,5 +1870,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -1995,5 +1995,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -2282,5 +2282,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -2427,5 +2427,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -2570,5 +2570,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -2714,5 +2714,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -2867,5 +2867,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -3179,5 +3179,5 @@
       </para>
 
-      &lfs72_checked;
+      &lfs73_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision 2217b13c757cd71d9e04ce3d3b52393980680e6d)
+++ x/installing/x7lib.xml	(revision 432a1117573a83ff9e844848544616ce62945d4f)
@@ -14,6 +14,6 @@
   <!ENTITY xtrans-md5sum                   "84c66908cf003ad8c272b0eecbdbaee3">
 
-  <!ENTITY libX11-version                  "1.6.0">
-  <!ENTITY libX11-md5sum                   "f7c7a614f5c609e759dadb99436eb9c1">
+  <!ENTITY libX11-version                  "1.6.1">
+  <!ENTITY libX11-md5sum                   "bc5fc459ec25a50c5a7e27035b89e579">
 
   <!ENTITY libXext-version                 "1.3.2">
@@ -62,6 +62,6 @@
   <!ENTITY libfontenc-md5sum               "ad2919764933e075bb0361ad5caa3d19">
 
-  <!ENTITY libXfont-version                "1.4.5">
-  <!ENTITY libXfont-md5sum                 "6851da5dae0a6cf5f7c9b9e2b05dd3b4">
+  <!ENTITY libXfont-version                "1.4.6">
+  <!ENTITY libXfont-md5sum                 "351a9b7348d165029bda52c9fdcb5c7a">
 
   <!ENTITY libXft-version                  "2.3.1">
@@ -98,6 +98,6 @@
   <!ENTITY libdmx-md5sum                   "ba983eba5a9f05d152a0725b8e863151">
 
-  <!ENTITY libpciaccess-version            "0.13.1">
-  <!ENTITY libpciaccess-md5sum             "399a419ac6a54f0fc07c69c9bdf452dc">
+  <!ENTITY libpciaccess-version            "0.13.2">
+  <!ENTITY libpciaccess-md5sum             "b7c0d3afce14eedca57312a3141ec13a">
 
   <!ENTITY libxkbfile-version              "1.0.8">
Index: x/installing/x7proto.xml
===================================================================
--- x/installing/x7proto.xml	(revision 2217b13c757cd71d9e04ce3d3b52393980680e6d)
+++ x/installing/x7proto.xml	(revision 432a1117573a83ff9e844848544616ce62945d4f)
@@ -56,6 +56,6 @@
   <!ENTITY scrnsaverproto-md5sum           "edd8a73775e8ece1d69515dd17767bfb">
 
-  <!ENTITY videoproto-version              "2.3.1">
-  <!ENTITY videoproto-md5sum               "c3b348c6e2031b72b11ae63fc7f805c2">
+  <!ENTITY videoproto-version              "2.3.2">
+  <!ENTITY videoproto-md5sum               "e658641595327d3990eab70fdb55ca8b">
 
   <!ENTITY xcmiscproto-version             "1.2.2">
Index: x/installing/xcursor-themes.xml
===================================================================
--- x/installing/xcursor-themes.xml	(revision 2217b13c757cd71d9e04ce3d3b52393980680e6d)
+++ x/installing/xcursor-themes.xml	(revision 432a1117573a83ff9e844848544616ce62945d4f)
@@ -7,6 +7,6 @@
   <!ENTITY xcursor-themes-download-http "&xorg-download-http;/data/xcursor-themes-&xcursor-themes-version;.tar.bz2">
   <!ENTITY xcursor-themes-download-ftp  "&xorg-download-ftp;/data/xcursor-themes-&xcursor-themes-version;.tar.bz2">
-  <!ENTITY xcursor-themes-md5sum        "ba21aad0b353f1881f5069e423a44587">
-  <!ENTITY xcursor-themes-size          "2.2 MB">
+  <!ENTITY xcursor-themes-md5sum        "fdfb0ad9cfceed60e3bfe9f18765aa0d">
+  <!ENTITY xcursor-themes-size          "2.3 MB">
   <!ENTITY xcursor-themes-buildsize     "12.3 MB">
   <!ENTITY xcursor-themes-time          "less than 0.1 SBU">