Index: xsoft/suites/openoffice.xml
===================================================================
--- xsoft/suites/openoffice.xml	(revision e7b5208aa7155262665147c6e29c0805357aba6c)
+++ xsoft/suites/openoffice.xml	(revision 433aac4fbc174282e9906b3edf254d1261d61f2d)
@@ -9,13 +9,12 @@
   <!ENTITY openoffice-core-download-http "http://ftp.osuosl.org/pub/openoffice/stable/&openoffice-version;/OOo_&openoffice-version;_src_core.tar.bz2">
   <!ENTITY openoffice-core-download-ftp  "ftp://ftp.osuosl.org/pub/openoffice/stable/&openoffice-version;/OOo_&openoffice-version;_src_core.tar.bz2">
-  <!ENTITY openoffice-core-md5sum        "35d4037ce3a4d19bf52ba72c68ef6756">
-  <!ENTITY openoffice-core-size          "118 MB">
+  <!ENTITY openoffice-core-md5sum        "9555a2d5fae9a25c788cc732921ef57a">
+  <!ENTITY openoffice-core-size          "138 MB">
   <!ENTITY openoffice-system-download-http "http://ftp.osuosl.org/pub/openoffice/stable/&openoffice-version;/OOo_&openoffice-version;_src_system.tar.bz2">
   <!ENTITY openoffice-system-download-ftp "ftp://ftp.osuosl.org/pub/openoffice/stable/&openoffice-version;/OOo_&openoffice-version;_src_system.tar.bz2">
-  <!ENTITY openoffice-system-download-ftp " ">
-  <!ENTITY openoffice-system-md5sum "13967b9599333066466810569a86c366">
-  <!ENTITY openoffice-system-size "30">
-  <!ENTITY openoffice-buildsize     "5.1 GB">
-  <!ENTITY openoffice-time          "76 SBU">
+  <!ENTITY openoffice-system-md5sum "1e20befe2fdb65c00be11f1f5d9ebdca">
+  <!ENTITY openoffice-system-size "36 MB">
+  <!ENTITY openoffice-buildsize     "4.3 GB">
+  <!ENTITY openoffice-time          "75 SBU">
 ]>
 
@@ -133,11 +132,5 @@
     <xref linkend="cups"/>,
     <xref linkend="curl"/>,
-    <!-- <xref linkend="db"/>, THIS IS CURRENTLY BROKEN!  Internal version is
-    4.2.x, just too different.  Using the system db (which must be rebuilt
-    with java bindings) results in a segfault of javac and gcj because of
-    xalan caching leading to OOM killing the process.  Experimental patches
-    exist, but require that libxslt is used in place of xalan....big change,
-    not quite ready for the book, and apearently stil not for OOo devs either
-    on this update 2 minor versions later. -->
+    <xref linkend="db"/>, 
     <xref linkend="desktop-file-utils"/>,
     <ulink url="http://www.easysw.com/epm/">EPM</ulink>,
@@ -178,5 +171,5 @@
     a minimum, you will need to extract the src and core tarballs.
     Additionally, the source directory name is not consistent with
-    the tarball name amd will be named OOF680_m18.</para>
+    the tarball name amd will be named OOG680_m9.</para>
 
     <para>If you wish to build an in-tree <application>Mozilla</application>,
@@ -208,8 +201,4 @@
     configure.</para></note>
 
-    <warning><para>Do not use the <parameter>--with-system-db</parameter>
-    switch as it is known to cause build failures related to incompatibilities
-    between the internal and system versions.</para></warning>
-
     <para>Configure <application>OpenOffice</application> using the following
     commands:</para>
@@ -251,5 +240,5 @@
 <screen role="root"><userinput>pushd instsetoo_native/unxlngi6.pro/OpenOffice/\
 native/install/en-US/linux-2.6-intel/buildroot/opt &amp;&amp;
-cp -r -v openoffice.org2.2 /opt/openoffice-&openoffice-version; &amp;&amp;
+cp -r -v openoffice.org2.3 /opt/openoffice-&openoffice-version; &amp;&amp;
 popd</userinput></screen>
 
@@ -346,10 +335,11 @@
     dev team.</para>
 
-    <para><parameter>--with-firefox</parameter>: Enables the use of
-    <application>Firefox</application> in place of the full
-    <application>Mozilla</application> suite.  This will disable the use
-    of a <application>Thunderbird</application> address book as a data
-    source and also requires that you include the 
-    <parameter>--with-system-mozilla</parameter> switch.</para>
+    <para><parameter>--with-system-mozilla=<replaceable>[mozilla-type]</replaceable>
+    </parameter>: Enables the use of system installed 
+    <application>gecko</application> or <application>XULRunner</application>
+    engine in place of the full <application>Mozilla</application> suite.
+    This will disable the use of a <application>Thunderbird</application>
+    address book as a data source.  If you omit the type of installation,
+    the build system defaults to <parameter>xulrunner</parameter>.</para>
 
     <para><parameter>--disable-cups</parameter>: Disable the use of