Index: general.ent
===================================================================
--- general.ent	(revision 0a727a0f2ec3f0fdded8469a34f3a20050e13a51)
+++ general.ent	(revision 434b1d96611d989bfde6cc6ef07e0cf384e827de)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "14">                   <!-- Always 2 digits -->
+<!ENTITY day          "15">                   <!-- Always 2 digits -->
 <!ENTITY month        "07">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "July 14th, &year;">
+<!ENTITY releasedate  "July 15th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision 0a727a0f2ec3f0fdded8469a34f3a20050e13a51)
+++ general/prog/python3.xml	(revision 434b1d96611d989bfde6cc6ef07e0cf384e827de)
@@ -8,8 +8,8 @@
            "https://www.python.org/ftp/python/&python3-version;/Python-&python3-version;.tar.xz">
   <!ENTITY python3-download-ftp  " ">
-  <!ENTITY python3-md5sum        "3000cf50aaa413052aef82fd2122ca78">
+  <!ENTITY python3-md5sum        "e16df33cd7b58702e57e137f8f5d13e7">
   <!ENTITY python3-size          "17 MB">
   <!ENTITY python3-buildsize     "187 MB (add 27 MB for tests)">
-  <!ENTITY python3-time          "0.6 SBU (using parallelism=4; add 2.1 SBU for tests, including rebuilding)">
+  <!ENTITY python3-time          "0.5 SBU (using parallelism=4; add 2.1 SBU for tests, including rebuilding)">
   <!--
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0a727a0f2ec3f0fdded8469a34f3a20050e13a51)
+++ introduction/welcome/changelog.xml	(revision 434b1d96611d989bfde6cc6ef07e0cf384e827de)
@@ -43,4 +43,18 @@
     -->
     <listitem>
+      <para>July 15th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to Python-3.8.4. Fixes
+          <ulink url="&blfs-ticket-root;13803">#13803</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libcap-2.39. Fixes
+          <ulink url="&blfs-ticket-root;13797">#13797</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>July 14th, 2020</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 0a727a0f2ec3f0fdded8469a34f3a20050e13a51)
+++ packages.ent	(revision 434b1d96611d989bfde6cc6ef07e0cf384e827de)
@@ -17,5 +17,5 @@
 <!ENTITY haveged-version              "1.9.13">
 <!ENTITY iptables-version             "1.8.5">
-<!ENTITY libcap-version               "2.38">
+<!ENTITY libcap-version               "2.39">
 <!ENTITY liboauth-version             "1.0.3">
 <!ENTITY linux-pam-version            "1.4.0">
@@ -352,5 +352,5 @@
 <!ENTITY python3-major                "3">
 <!ENTITY python3-minor                "8">
-<!ENTITY python3-patch                "3">
+<!ENTITY python3-patch                "4">
 <!ENTITY python3-majorver             "&python3-major;.&python3-minor;">
 <!ENTITY python3-version              "&python3-majorver;.&python3-patch;">
Index: postlfs/security/libcap.xml
===================================================================
--- postlfs/security/libcap.xml	(revision 0a727a0f2ec3f0fdded8469a34f3a20050e13a51)
+++ postlfs/security/libcap.xml	(revision 434b1d96611d989bfde6cc6ef07e0cf384e827de)
@@ -7,7 +7,7 @@
   <!ENTITY libcap-download-http "&kernel-dl;/linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
   <!ENTITY libcap-download-ftp  " ">
-  <!ENTITY libcap-md5sum        "646cb6dde87a13f9ed0228db77b03fad">
-  <!ENTITY libcap-size          "116 KB">
-  <!ENTITY libcap-buildsize     "1.1 MB">
+  <!ENTITY libcap-md5sum        "575232cb5cc8f711a5f70e111d83efb5">
+  <!ENTITY libcap-size          "136 KB">
+  <!ENTITY libcap-buildsize     "1.3 MB">
   <!ENTITY libcap-time          "less than 0.1 SBU">
 ]>