Index: x/lib/imlib2.xml
===================================================================
--- x/lib/imlib2.xml	(revision 435a74c330fab8630a056fc6a5fc6e432a0a80d9)
+++ x/lib/imlib2.xml	(revision 435a74c330fab8630a056fc6a5fc6e432a0a80d9)
@@ -0,0 +1,153 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY imlib2-download-http "&sourceforge-repo;/enlightenment/imlib2-&imlib2-version;.tar.bz2">
+  <!ENTITY imlib2-download-ftp  " ">
+  <!ENTITY imlib2-md5sum        "5c7104121ec6db652b37f74a6d7048e2">
+  <!ENTITY imlib2-size          "853 KB">
+  <!ENTITY imlib2-buildsize     "15 MB">
+  <!ENTITY imlib2-time          "0.2 SBU">
+]>
+
+<sect1 id="imlib2" xreflabel="Imlib2-&imlib2-version;">
+  <?dbhtml filename="imlib2.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Imlib2-&imlib2-version;</title>
+
+  <indexterm zone="imlib2">
+    <primary sortas="a-Imlib2">Imlib2</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Imlib2</title>
+
+    <para><application>Imlib2</application> is a graphics library for fast file
+    loading, saving, rendering and manipulation.</para>
+
+    &lfs74_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&imlib2-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&imlib2-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &imlib2-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &imlib2-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &imlib2-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &imlib2-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Imlib2 Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="xorg7-lib"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="libpng"/>,
+      <xref linkend="libjpeg"/>,
+      <xref linkend="libtiff"/>,
+      <xref linkend="giflib"/>, and
+      <ulink url="http://sourceforge.net/projects/mad">libid3tag</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/imlib2"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Imlib2</title>
+
+    <para>Install <application>Imlib2</application> by running the
+    following commands:</para>
+
+<screen><userinput>sed -i '/DGifOpen/s:fd:&amp;, NULL:' src/modules/loaders/loader_gif.c &amp;&amp;
+sed -i 's/@my_libs@//' imlib2-config.in &amp;&amp;
+./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install &amp;&amp;
+install -v -m755 -d /usr/share/doc/imlib2-&imlib2-version; &amp;&amp;
+install -v -m644    doc/{*.gif,index.html} \
+                    /usr/share/doc/imlib2-&imlib2-version;</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <command>sed -i ...</command>: First command fixes building with recent
+      versions of <application>Giflib</application> and the second one corrects
+      linker flags for libImlib2 usage.
+    </para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>imlib2_bumpmap, imlib2_colorspace, imlib2-config, imlib2_conv,
+        imlib2_grab, imlib2_poly, imlib2_show, imlib2_test, and imlib2_view</seg>
+        <seg>libImlib2.so and various filters and image loader modules.</seg>
+        <seg>/usr/lib/imlib2, /usr/share/doc/imlib2-&imlib2-version;, and
+        /usr/share/imlib2</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libImlib2">
+        <term><filename class='libraryfile'>libImlib2.so</filename></term>
+        <listitem>
+          <para>provides the functions for programs to deal with various
+          image data formats.</para>
+          <indexterm zone="imlib2 libImlib2">
+            <primary sortas="c-libImlib2">libImlib2.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>