Index: general.ent
===================================================================
--- general.ent	(revision c4e1c2a05f50a8b5cfdc799d61ad9b3d5522172e)
+++ general.ent	(revision 439d67f78042336b3ff93107407cd291d1bacd7c)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "27">                   <!-- Always 2 digits -->
+<!ENTITY day          "28">                   <!-- Always 2 digits -->
 <!ENTITY month        "04">                   <!-- Always 2 digits -->
 <!ENTITY year         "2015">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "April 27th, &year;">
+<!ENTITY releasedate  "April 28th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision c4e1c2a05f50a8b5cfdc799d61ad9b3d5522172e)
+++ general/genlib/genlib.xml	(revision 439d67f78042336b3ff93107407cd291d1bacd7c)
@@ -94,4 +94,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lzo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mtdev.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="npth.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="nspr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="openobex.xml"/>
Index: general/genlib/npth.xml
===================================================================
--- general/genlib/npth.xml	(revision 439d67f78042336b3ff93107407cd291d1bacd7c)
+++ general/genlib/npth.xml	(revision 439d67f78042336b3ff93107407cd291d1bacd7c)
@@ -0,0 +1,144 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY npth-download-http " ">
+  <!ENTITY npth-download-ftp  "ftp://ftp.gnupg.org/gcrypt/npth/npth-&npth-version;.tar.bz2">
+  <!ENTITY npth-md5sum        "226bac7374b9466c6ec26b1c34dab844">
+  <!ENTITY npth-size          "292 KB">
+  <!ENTITY npth-buildsize     "2.6 MB">
+  <!ENTITY npth-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="npth" xreflabel="NPth-&npth-version;">
+  <?dbhtml filename="npth.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>NPth-&npth-version;</title>
+
+  <indexterm zone="npth">
+    <primary sortas="a-NPth">NPth</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to NPth</title>
+
+    <para>The <application>NPth</application> package contains a very portable
+    POSIX/ANSI-C based library for Unix platforms which provides non-preemptive
+    priority-based scheduling for multiple threads of execution (multithreading)
+    inside event-driven applications. All threads run in the same address space
+    of the server application, but each thread has its own individual
+    program-counter, run-time stack, signal mask and errno variable. </para>
+
+    &lfs77_checked; &gcc5_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&npth-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&npth-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &npth-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &npth-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &npth-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &npth-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/npth"/></para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of NPth</title>
+
+    <para>Install <application>NPth</application> by running the
+    following commands:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem>
+    user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+<!--
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>sed -i 's#$(LOBJS) ...</command>: This <command>sed</command>
+    fixes a race condition in the <filename>Makefile</filename>. It allows you
+    to run <command>make</command> with multiple jobs (e.g., <command>make -j4</command>).</para>
+
+    <para><option>-\-disable-static</option>: This option stops it compiling a
+    static version of the library.</para>
+
+    <para><option>-\-mandir=/usr/share/man</option>: This option puts the man
+    pages in <filename class="directory">/usr/share/man</filename> and not
+    <filename class="directory">/usr/man</filename>.</para>
+  </sect2>-->
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>npth-config</seg>
+        <seg>libnpth.so</seg>
+        <seg>None</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="npth-config">
+        <term><command>npth-config</command></term>
+        <listitem>
+          <para>is a utility used to configure and build applications based on
+          the npth library. It can be used to query the C compiler and
+          linker flags which are required to correctly compile and link the
+          application against the npth library.</para>
+          <indexterm zone="npth npth-config">
+            <primary sortas="b-npth-config">npth-config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libnpth">
+        <term><filename class="libraryfile">libnpth.so</filename></term>
+        <listitem>
+          <para>contains the API functions used by the New Portable Threads
+          Library.</para>
+          <indexterm zone="npth libnpth">
+            <primary sortas="c-libnpth">libnpth.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c4e1c2a05f50a8b5cfdc799d61ad9b3d5522172e)
+++ introduction/welcome/changelog.xml	(revision 439d67f78042336b3ff93107407cd291d1bacd7c)
@@ -44,4 +44,22 @@
 
 -->
+
+    <listitem>
+      <para>April 28th, 2015</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - MIT Kerberos V5-1.13.1: comment out authentication.
+          Fixes <ulink url="&blfs-ticket-root;6442">#6442</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to gnupg-2.1.3. Fixes
+          <ulink url="&blfs-ticket-root;5850">#5850</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Add new package npth-1.2. Fixes
+          <ulink url="&blfs-ticket-root;6441">#6441</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision c4e1c2a05f50a8b5cfdc799d61ad9b3d5522172e)
+++ packages.ent	(revision 439d67f78042336b3ff93107407cd291d1bacd7c)
@@ -13,5 +13,5 @@
 <!ENTITY cracklib-version             "2.9.2">
 <!ENTITY cyrus-sasl-version           "2.1.26">
-<!ENTITY gnupg2-version               "2.0.27">
+<!ENTITY gnupg2-version               "2.1.3">
 <!ENTITY gnutls-version               "3.4.0">
 <!ENTITY gpgme-version                "1.5.4">
@@ -135,4 +135,5 @@
 <!ENTITY lzo-version                  "2.09">
 <!ENTITY mtdev-version                "1.1.5">
+<!ENTITY npth-version                 "1.2">
 <!ENTITY nspr-version                 "4.10.8">
 <!ENTITY openobex-version             "1.7.1">
Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision c4e1c2a05f50a8b5cfdc799d61ad9b3d5522172e)
+++ postlfs/security/gnupg2.xml	(revision 439d67f78042336b3ff93107407cd291d1bacd7c)
@@ -7,8 +7,8 @@
   <!ENTITY gnupg2-download-http " ">
   <!ENTITY gnupg2-download-ftp  "ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-&gnupg2-version;.tar.bz2">
-  <!ENTITY gnupg2-md5sum        "b35df68881a5ae432b0391b73773c698">
-  <!ENTITY gnupg2-size          "4.2 MB">
-  <!ENTITY gnupg2-buildsize     "86 MB (including html documentation)">
-  <!ENTITY gnupg2-time          "0.5 SBU (additional 0.7 SBU for the tests)">
+  <!ENTITY gnupg2-md5sum        "e2c6b4d3194f5595bfc43050b580ce7e">
+  <!ENTITY gnupg2-size          "4.7 MB">
+  <!ENTITY gnupg2-buildsize     "102 MB (including html documentation)">
+  <!ENTITY gnupg2-time          "0.5 SBU (additional 0.1 SBU for the tests)">
 ]>
 
@@ -38,5 +38,5 @@
     S/MIME.</para>
 
-    &lfs77_checked;
+    &lfs77_checked; &gcc5_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -65,21 +65,27 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="pth"/>,
-    <xref linkend="libassuan"/>,
-    <xref linkend="libgcrypt"/>, and
-    <xref linkend="libksba"/></para>
+    <para role="required">
+      <xref linkend="libassuan"/>,
+      <xref linkend="libgcrypt"/>,
+      <xref linkend="libksba"/>, and
+      <xref linkend="npth"/>
+    </para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended"><xref linkend="pinentry"/> (Run-time requirement for most of
-    the package's functionality)</para>
+    <para role="recommended">
+      <xref linkend="pinentry"/> (Run-time requirement for most of
+      the package's functionality)
+    </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="openldap"/>,
-    <xref linkend="libusb-compat"/>,
-    <xref linkend="curl"/>,
-    <ulink url="http://www.chiark.greenend.org.uk/~ian/adns/">GNU
-    adns</ulink>,  an
-    <xref linkend="server-mail"/>, and
-    <xref linkend="texlive"/> (or <xref linkend="tl-installer"/>)</para>
+    <para role="optional">
+      <xref linkend="openldap"/>,
+      <xref linkend="libusb-compat"/>,
+      <xref linkend="curl"/>,
+      <ulink url="http://www.chiark.greenend.org.uk/~ian/adns/">GNU
+      adns</ulink>,  an
+      <xref linkend="server-mail"/>, and
+      <xref linkend="texlive"/> (or <xref linkend="tl-installer"/>
+    )</para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -166,7 +172,8 @@
 
       <seglistitem>
-        <seg>addgnupghome, applygnupgdefaults, gpg-agent, gpg-connect-agent,
-        gpg, gpg2, gpgconf, gpgkey2ssh, gpgparsemail, gpgsm,
-        gpgsm-gencert.sh, gpgv, gpgv2, kbxutil, symcryptrun, and watchgnupg</seg>
+        <seg>addgnupghome, applygnupgdefaults, dirmngr, dirmngr-client, g13,
+        gpg-agent, gpg-connect-agent, gpg, gpg2, gpgconf, gpgkey2ssh,
+        gpgparsemail, gpgsm, gpgsm-gencert.sh, gpgtar, gpgv, gpgv2, kbxutil,
+        symcryptrun, and watchgnupg</seg>
         <seg>None</seg>
         <seg>/usr/share/doc/gnupg-&gnupg2-version; and
@@ -199,4 +206,37 @@
           <indexterm zone="gnupg2 applygnupgdefaults">
             <primary sortas="b-applygnupgdefaults">applygnupgdefaults</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="dirmngr">
+        <term><command>dirmngr</command></term>
+        <listitem>
+          <para> is a tool that takes care of accessing the OpenPGP keyservers.
+          </para>
+          <indexterm zone="gnupg2 dirmngr">
+            <primary sortas="b-dirmngr">dirmngr</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="dirmngr-client">
+        <term><command>dirmngr-client</command></term>
+        <listitem>
+          <para> is a tool to contact a running dirmngr and test whether a
+          certificate has been revoked. </para>
+          <indexterm zone="gnupg2 dirmngr-client">
+            <primary sortas="b-dirmngr-client">dirmngr-client</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="g13">
+        <term><command>g13</command></term>
+        <listitem>
+          <para>is a tool to create, mount or unmount an encrypted file system
+          container.</para>
+          <indexterm zone="gnupg2 g13">
+            <primary sortas="b-g13">g13</primary>
           </indexterm>
         </listitem>
@@ -288,4 +328,14 @@
       </varlistentry>
 
+      <varlistentry id="gpgtar">
+        <term><command>gpgtar</command></term>
+        <listitem>
+          <para> is a tool to encrypt or sign files into an archive.</para>
+          <indexterm zone="gnupg2 gpgtar">
+            <primary sortas="b-gpgtar">gpgtar</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="gpgsm-gencert.sh">
         <term><command>gpgsm-gencert.sh</command></term>
Index: postlfs/security/mitkrb.xml
===================================================================
--- postlfs/security/mitkrb.xml	(revision c4e1c2a05f50a8b5cfdc799d61ad9b3d5522172e)
+++ postlfs/security/mitkrb.xml	(revision 439d67f78042336b3ff93107407cd291d1bacd7c)
@@ -106,10 +106,10 @@
     <para>
       <application>MIT Kerberos V5</application> is distributed in a
-      TAR file containing a compressed TAR package and a detached PGP
+      TAR file containing a compressed TAR package and a detached PGP-2
       <filename class="extension">ASC</filename> file. You'll need to unpack
       the distribution tar file, then unpack the compressed tar file before
       starting the build.
     </para>
-
+<!--
     <para>
       After unpacking the distribution tarball and if you have
@@ -119,5 +119,5 @@
     </para>
 
-<screen><userinput>gpg2 --verify krb5-&mitkrb-version;.tar.gz.asc krb5-&mitkrb-version;.tar.gz</userinput></screen>
+<screen><userinput>gpg2 -\-verify krb5-&mitkrb-version;.tar.gz.asc krb5-&mitkrb-version;.tar.gz</userinput></screen>
 
     <para>You will probably see output similar to:</para>
@@ -130,5 +130,5 @@
     </para>
 
-<screen><userinput>gpg2 --pgp2 --keyserver pgp.mit.edu --recv-keys 0x749D7889</userinput></screen>
+<screen><userinput>gpg2 -\-pgp2 -\-keyserver pgp.mit.edu -\-recv-keys 0x749D7889</userinput></screen>
 
     <para>
@@ -137,5 +137,5 @@
       with a trusted signature.  Trusting the downloaded key is a separate
       operation but it is up to you to determine the level of trust.
-    </para>
+    </para>-->
 
     <para>